/*
 * Copyright (C) 1999-2006  Brian Paul   All Rights Reserved.
 * Copyright (C) 2009 Apple Inc.  All Rights Reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * BRIAN PAUL BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef __X_GL_H
#define __X_GL_H

/* The following macros exist to address conflicts between the names given to
 * function pointers by the MESA API and OpenGL.framework's API.
 */
#define glAccumProcPtr PFNGLACCUMPROC
#define glActiveStencilFaceEXTProcPtr PFNGLACTIVESTENCILFACEEXTPROC
#define glActiveTextureARBProcPtr PFNGLACTIVETEXTUREARBPROC
#define glActiveTextureProcPtr PFNGLACTIVETEXTUREPROC
#define glAlphaFragmentOp1EXTProcPtr PFNGLALPHAFRAGMENTOP1EXTPROC
#define glAlphaFragmentOp2EXTProcPtr PFNGLALPHAFRAGMENTOP2EXTPROC
#define glAlphaFragmentOp3EXTProcPtr PFNGLALPHAFRAGMENTOP3EXTPROC
#define glAlphaFuncProcPtr PFNGLALPHAFUNCPROC
#define glApplyTextureEXTProcPtr PFNGLAPPLYTEXTUREEXTPROC
#define glAreProgramsResidentNVProcPtr PFNGLAREPROGRAMSRESIDENTNVPROC
#define glAreTexturesResidentEXTProcPtr PFNGLARETEXTURESRESIDENTEXTPROC
#define glAreTexturesResidentProcPtr PFNGLARETEXTURESRESIDENTPROC
#define glArrayElementEXTProcPtr PFNGLARRAYELEMENTEXTPROC
#define glArrayElementProcPtr PFNGLARRAYELEMENTPROC
#define glAsyncMarkerSGIXProcPtr PFNGLASYNCMARKERSGIXPROC
#define glAttachObjectARBProcPtr PFNGLATTACHOBJECTARBPROC
#define glAttachShaderProcPtr PFNGLATTACHSHADERPROC
#define glBeginConditionalRenderNVProcPtr PFNGLBEGINCONDITIONALRENDERNVPROC
#define glBeginFragmentShaderEXTProcPtr PFNGLBEGINFRAGMENTSHADEREXTPROC
#define glBeginProcPtr PFNGLBEGINPROC
#define glBeginQueryARBProcPtr PFNGLBEGINQUERYARBPROC
#define glBeginQueryProcPtr PFNGLBEGINQUERYPROC
#define glBeginTransformFeedbackEXTProcPtr PFNGLBEGINTRANSFORMFEEDBACKEXTPROC
#define glBeginVertexShaderEXTProcPtr PFNGLBEGINVERTEXSHADEREXTPROC
#define glBindAttribLocationARBProcPtr PFNGLBINDATTRIBLOCATIONARBPROC
#define glBindAttribLocationProcPtr PFNGLBINDATTRIBLOCATIONPROC
#define glBindBufferARBProcPtr PFNGLBINDBUFFERARBPROC
#define glBindBufferBaseEXTProcPtr PFNGLBINDBUFFERBASEEXTPROC
#define glBindBufferBaseProcPtr PFNGLBINDBUFFERBASEPROC
#define glBindBufferOffsetEXTProcPtr PFNGLBINDBUFFEROFFSETEXTPROC
#define glBindBufferProcPtr PFNGLBINDBUFFERPROC
#define glBindBufferRangeEXTProcPtr PFNGLBINDBUFFERRANGEEXTPROC
#define glBindBufferRangeProcPtr PFNGLBINDBUFFERRANGEPROC
#define glBindFragDataLocationEXTProcPtr PFNGLBINDFRAGDATALOCATIONEXTPROC
#define glBindFragmentShaderEXTProcPtr PFNGLBINDFRAGMENTSHADEREXTPROC
#define glBindFramebufferEXTProcPtr PFNGLBINDFRAMEBUFFEREXTPROC
#define glBindFramebufferProcPtr PFNGLBINDFRAMEBUFFERPROC
#define glBindLightParameterEXTProcPtr PFNGLBINDLIGHTPARAMETEREXTPROC
#define glBindMaterialParameterEXTProcPtr PFNGLBINDMATERIALPARAMETEREXTPROC
#define glBindParameterEXTProcPtr PFNGLBINDPARAMETEREXTPROC
#define glBindProgramARBProcPtr PFNGLBINDPROGRAMARBPROC
#define glBindProgramNVProcPtr PFNGLBINDPROGRAMNVPROC
#define glBindRenderbufferEXTProcPtr PFNGLBINDRENDERBUFFEREXTPROC
#define glBindRenderbufferProcPtr PFNGLBINDRENDERBUFFERPROC
#define glBindTexGenParameterEXTProcPtr PFNGLBINDTEXGENPARAMETEREXTPROC
#define glBindTextureEXTProcPtr PFNGLBINDTEXTUREEXTPROC
#define glBindTextureProcPtr PFNGLBINDTEXTUREPROC
#define glBindTextureUnitParameterEXTProcPtr PFNGLBINDTEXTUREUNITPARAMETEREXTPROC
#define glBindVertexArrayAPPLEProcPtr PFNGLBINDVERTEXARRAYAPPLEPROC
#define glBindVertexShaderEXTProcPtr PFNGLBINDVERTEXSHADEREXTPROC
#define glBinormal3bEXTProcPtr PFNGLBINORMAL3BEXTPROC
#define glBinormal3bvEXTProcPtr PFNGLBINORMAL3BVEXTPROC
#define glBinormal3dEXTProcPtr PFNGLBINORMAL3DEXTPROC
#define glBinormal3dvEXTProcPtr PFNGLBINORMAL3DVEXTPROC
#define glBinormal3fEXTProcPtr PFNGLBINORMAL3FEXTPROC
#define glBinormal3fvEXTProcPtr PFNGLBINORMAL3FVEXTPROC
#define glBinormal3iEXTProcPtr PFNGLBINORMAL3IEXTPROC
#define glBinormal3ivEXTProcPtr PFNGLBINORMAL3IVEXTPROC
#define glBinormal3sEXTProcPtr PFNGLBINORMAL3SEXTPROC
#define glBinormal3svEXTProcPtr PFNGLBINORMAL3SVEXTPROC
#define glBinormalPointerEXTProcPtr PFNGLBINORMALPOINTEREXTPROC
#define glBitmapProcPtr PFNGLBITMAPPROC
#define glBlendColorEXTProcPtr PFNGLBLENDCOLOREXTPROC
#define glBlendColorProcPtr PFNGLBLENDCOLORPROC
#define glBlendEquationEXTProcPtr PFNGLBLENDEQUATIONEXTPROC
#define glBlendEquationProcPtr PFNGLBLENDEQUATIONPROC
#define glBlendEquationSeparateATIProcPtr PFNGLBLENDEQUATIONSEPARATEATIPROC
#define glBlendEquationSeparateEXTProcPtr PFNGLBLENDEQUATIONSEPARATEEXTPROC
#define glBlendEquationSeparateProcPtr PFNGLBLENDEQUATIONSEPARATEPROC
#define glBlendFuncProcPtr PFNGLBLENDFUNCPROC
#define glBlendFuncSeparateEXTProcPtr PFNGLBLENDFUNCSEPARATEEXTPROC
#define glBlendFuncSeparateProcPtr PFNGLBLENDFUNCSEPARATEPROC
#define glBlitFramebufferEXTProcPtr PFNGLBLITFRAMEBUFFEREXTPROC
#define glBlitFramebufferProcPtr PFNGLBLITFRAMEBUFFERPROC
#define glBufferDataARBProcPtr PFNGLBUFFERDATAARBPROC
#define glBufferDataProcPtr PFNGLBUFFERDATAPROC
#define glBufferParameteriAPPLEProcPtr PFNGLBUFFERPARAMETERIAPPLEPROC
#define glBufferSubDataARBProcPtr PFNGLBUFFERSUBDATAARBPROC
#define glBufferSubDataProcPtr PFNGLBUFFERSUBDATAPROC
#define glCallListProcPtr PFNGLCALLLISTPROC
#define glCallListsProcPtr PFNGLCALLLISTSPROC
#define glCheckFramebufferStatusEXTProcPtr PFNGLCHECKFRAMEBUFFERSTATUSEXTPROC
#define glCheckFramebufferStatusProcPtr PFNGLCHECKFRAMEBUFFERSTATUSPROC
#define glClampColorARBProcPtr PFNGLCLAMPCOLORARBPROC
#define glClearAccumProcPtr PFNGLCLEARACCUMPROC
#define glClearColorIiEXTProcPtr PFNGLCLEARCOLORIIEXTPROC
#define glClearColorIuiEXTProcPtr PFNGLCLEARCOLORIUIEXTPROC
#define glClearColorProcPtr PFNGLCLEARCOLORPROC
#define glClearDepthProcPtr PFNGLCLEARDEPTHPROC
#define glClearIndexProcPtr PFNGLCLEARINDEXPROC
#define glClearProcPtr PFNGLCLEARPROC
#define glClearStencilProcPtr PFNGLCLEARSTENCILPROC
#define glClientActiveTextureARBProcPtr PFNGLCLIENTACTIVETEXTUREARBPROC
#define glClientActiveTextureProcPtr PFNGLCLIENTACTIVETEXTUREPROC
#define glClipPlaneProcPtr PFNGLCLIPPLANEPROC
#define glColor3bProcPtr PFNGLCOLOR3BPROC
#define glColor3bvProcPtr PFNGLCOLOR3BVPROC
#define glColor3dProcPtr PFNGLCOLOR3DPROC
#define glColor3dvProcPtr PFNGLCOLOR3DVPROC
#define glColor3fProcPtr PFNGLCOLOR3FPROC
#define glColor3fVertex3fSUNProcPtr PFNGLCOLOR3FVERTEX3FSUNPROC
#define glColor3fVertex3fvSUNProcPtr PFNGLCOLOR3FVERTEX3FVSUNPROC
#define glColor3fvProcPtr PFNGLCOLOR3FVPROC
#define glColor3iProcPtr PFNGLCOLOR3IPROC
#define glColor3ivProcPtr PFNGLCOLOR3IVPROC
#define glColor3sProcPtr PFNGLCOLOR3SPROC
#define glColor3svProcPtr PFNGLCOLOR3SVPROC
#define glColor3ubProcPtr PFNGLCOLOR3UBPROC
#define glColor3ubvProcPtr PFNGLCOLOR3UBVPROC
#define glColor3uiProcPtr PFNGLCOLOR3UIPROC
#define glColor3uivProcPtr PFNGLCOLOR3UIVPROC
#define glColor3usProcPtr PFNGLCOLOR3USPROC
#define glColor3usvProcPtr PFNGLCOLOR3USVPROC
#define glColor4bProcPtr PFNGLCOLOR4BPROC
#define glColor4bvProcPtr PFNGLCOLOR4BVPROC
#define glColor4dProcPtr PFNGLCOLOR4DPROC
#define glColor4dvProcPtr PFNGLCOLOR4DVPROC
#define glColor4fNormal3fVertex3fSUNProcPtr PFNGLCOLOR4FNORMAL3FVERTEX3FSUNPROC
#define glColor4fNormal3fVertex3fvSUNProcPtr PFNGLCOLOR4FNORMAL3FVERTEX3FVSUNPROC
#define glColor4fProcPtr PFNGLCOLOR4FPROC
#define glColor4fvProcPtr PFNGLCOLOR4FVPROC
#define glColor4iProcPtr PFNGLCOLOR4IPROC
#define glColor4ivProcPtr PFNGLCOLOR4IVPROC
#define glColor4sProcPtr PFNGLCOLOR4SPROC
#define glColor4svProcPtr PFNGLCOLOR4SVPROC
#define glColor4ubProcPtr PFNGLCOLOR4UBPROC
#define glColor4ubVertex2fSUNProcPtr PFNGLCOLOR4UBVERTEX2FSUNPROC
#define glColor4ubVertex2fvSUNProcPtr PFNGLCOLOR4UBVERTEX2FVSUNPROC
#define glColor4ubVertex3fSUNProcPtr PFNGLCOLOR4UBVERTEX3FSUNPROC
#define glColor4ubVertex3fvSUNProcPtr PFNGLCOLOR4UBVERTEX3FVSUNPROC
#define glColor4ubvProcPtr PFNGLCOLOR4UBVPROC
#define glColor4uiProcPtr PFNGLCOLOR4UIPROC
#define glColor4uivProcPtr PFNGLCOLOR4UIVPROC
#define glColor4usProcPtr PFNGLCOLOR4USPROC
#define glColor4usvProcPtr PFNGLCOLOR4USVPROC
#define glColorFragmentOp1EXTProcPtr PFNGLCOLORFRAGMENTOP1EXTPROC
#define glColorFragmentOp2EXTProcPtr PFNGLCOLORFRAGMENTOP2EXTPROC
#define glColorFragmentOp3EXTProcPtr PFNGLCOLORFRAGMENTOP3EXTPROC
#define glColorMaskIndexedEXTProcPtr PFNGLCOLORMASKINDEXEDEXTPROC
#define glColorMaskProcPtr PFNGLCOLORMASKPROC
#define glColorMaterialProcPtr PFNGLCOLORMATERIALPROC
#define glColorPointerEXTProcPtr PFNGLCOLORPOINTEREXTPROC
#define glColorPointerListIBMProcPtr PFNGLCOLORPOINTERLISTIBMPROC
#define glColorPointerProcPtr PFNGLCOLORPOINTERPROC
#define glColorPointervINTELProcPtr PFNGLCOLORPOINTERVINTELPROC
#define glColorSubTableEXTProcPtr PFNGLCOLORSUBTABLEEXTPROC
#define glColorSubTableProcPtr PFNGLCOLORSUBTABLEPROC
#define glColorTableEXTProcPtr PFNGLCOLORTABLEEXTPROC
#define glColorTableParameterfvProcPtr PFNGLCOLORTABLEPARAMETERFVPROC
#define glColorTableParameterfvSGIProcPtr PFNGLCOLORTABLEPARAMETERFVSGIPROC
#define glColorTableParameterivProcPtr PFNGLCOLORTABLEPARAMETERIVPROC
#define glColorTableParameterivSGIProcPtr PFNGLCOLORTABLEPARAMETERIVSGIPROC
#define glColorTableProcPtr PFNGLCOLORTABLEPROC
#define glColorTableSGIProcPtr PFNGLCOLORTABLESGIPROC
#define glCombinerInputNVProcPtr PFNGLCOMBINERINPUTNVPROC
#define glCombinerOutputNVProcPtr PFNGLCOMBINEROUTPUTNVPROC
#define glCombinerParameterfNVProcPtr PFNGLCOMBINERPARAMETERFNVPROC
#define glCombinerParameterfvNVProcPtr PFNGLCOMBINERPARAMETERFVNVPROC
#define glCombinerParameteriNVProcPtr PFNGLCOMBINERPARAMETERINVPROC
#define glCombinerParameterivNVProcPtr PFNGLCOMBINERPARAMETERIVNVPROC
#define glCombinerStageParameterfvNVProcPtr PFNGLCOMBINERSTAGEPARAMETERFVNVPROC
#define glCompileShaderARBProcPtr PFNGLCOMPILESHADERARBPROC
#define glCompileShaderProcPtr PFNGLCOMPILESHADERPROC
#define glCompressedTexImage1DARBProcPtr PFNGLCOMPRESSEDTEXIMAGE1DARBPROC
#define glCompressedTexImage1DProcPtr PFNGLCOMPRESSEDTEXIMAGE1DPROC
#define glCompressedTexImage2DARBProcPtr PFNGLCOMPRESSEDTEXIMAGE2DARBPROC
#define glCompressedTexImage2DProcPtr PFNGLCOMPRESSEDTEXIMAGE2DPROC
#define glCompressedTexImage3DARBProcPtr PFNGLCOMPRESSEDTEXIMAGE3DARBPROC
#define glCompressedTexImage3DProcPtr PFNGLCOMPRESSEDTEXIMAGE3DPROC
#define glCompressedTexSubImage1DARBProcPtr PFNGLCOMPRESSEDTEXSUBIMAGE1DARBPROC
#define glCompressedTexSubImage1DProcPtr PFNGLCOMPRESSEDTEXSUBIMAGE1DPROC
#define glCompressedTexSubImage2DARBProcPtr PFNGLCOMPRESSEDTEXSUBIMAGE2DARBPROC
#define glCompressedTexSubImage2DProcPtr PFNGLCOMPRESSEDTEXSUBIMAGE2DPROC
#define glCompressedTexSubImage3DARBProcPtr PFNGLCOMPRESSEDTEXSUBIMAGE3DARBPROC
#define glCompressedTexSubImage3DProcPtr PFNGLCOMPRESSEDTEXSUBIMAGE3DPROC
#define glConvolutionFilter1DEXTProcPtr PFNGLCONVOLUTIONFILTER1DEXTPROC
#define glConvolutionFilter1DProcPtr PFNGLCONVOLUTIONFILTER1DPROC
#define glConvolutionFilter2DEXTProcPtr PFNGLCONVOLUTIONFILTER2DEXTPROC
#define glConvolutionFilter2DProcPtr PFNGLCONVOLUTIONFILTER2DPROC
#define glConvolutionParameterfEXTProcPtr PFNGLCONVOLUTIONPARAMETERFEXTPROC
#define glConvolutionParameterfProcPtr PFNGLCONVOLUTIONPARAMETERFPROC
#define glConvolutionParameterfvEXTProcPtr PFNGLCONVOLUTIONPARAMETERFVEXTPROC
#define glConvolutionParameterfvProcPtr PFNGLCONVOLUTIONPARAMETERFVPROC
#define glConvolutionParameteriEXTProcPtr PFNGLCONVOLUTIONPARAMETERIEXTPROC
#define glConvolutionParameteriProcPtr PFNGLCONVOLUTIONPARAMETERIPROC
#define glConvolutionParameterivEXTProcPtr PFNGLCONVOLUTIONPARAMETERIVEXTPROC
#define glConvolutionParameterivProcPtr PFNGLCONVOLUTIONPARAMETERIVPROC
#define glCopyColorSubTableEXTProcPtr PFNGLCOPYCOLORSUBTABLEEXTPROC
#define glCopyColorSubTableProcPtr PFNGLCOPYCOLORSUBTABLEPROC
#define glCopyColorTableProcPtr PFNGLCOPYCOLORTABLEPROC
#define glCopyColorTableSGIProcPtr PFNGLCOPYCOLORTABLESGIPROC
#define glCopyConvolutionFilter1DEXTProcPtr PFNGLCOPYCONVOLUTIONFILTER1DEXTPROC
#define glCopyConvolutionFilter1DProcPtr PFNGLCOPYCONVOLUTIONFILTER1DPROC
#define glCopyConvolutionFilter2DEXTProcPtr PFNGLCOPYCONVOLUTIONFILTER2DEXTPROC
#define glCopyConvolutionFilter2DProcPtr PFNGLCOPYCONVOLUTIONFILTER2DPROC
#define glCopyPixelsProcPtr PFNGLCOPYPIXELSPROC
#define glCopyTexImage1DEXTProcPtr PFNGLCOPYTEXIMAGE1DEXTPROC
#define glCopyTexImage1DProcPtr PFNGLCOPYTEXIMAGE1DPROC
#define glCopyTexImage2DEXTProcPtr PFNGLCOPYTEXIMAGE2DEXTPROC
#define glCopyTexImage2DProcPtr PFNGLCOPYTEXIMAGE2DPROC
#define glCopyTexSubImage1DEXTProcPtr PFNGLCOPYTEXSUBIMAGE1DEXTPROC
#define glCopyTexSubImage1DProcPtr PFNGLCOPYTEXSUBIMAGE1DPROC
#define glCopyTexSubImage2DEXTProcPtr PFNGLCOPYTEXSUBIMAGE2DEXTPROC
#define glCopyTexSubImage2DProcPtr PFNGLCOPYTEXSUBIMAGE2DPROC
#define glCopyTexSubImage3DEXTProcPtr PFNGLCOPYTEXSUBIMAGE3DEXTPROC
#define glCopyTexSubImage3DProcPtr PFNGLCOPYTEXSUBIMAGE3DPROC
#define glCreateProgramObjectARBProcPtr PFNGLCREATEPROGRAMOBJECTARBPROC
#define glCreateProgramProcPtr PFNGLCREATEPROGRAMPROC
#define glCreateShaderObjectARBProcPtr PFNGLCREATESHADEROBJECTARBPROC
#define glCreateShaderProcPtr PFNGLCREATESHADERPROC
#define glCullFaceProcPtr PFNGLCULLFACEPROC
#define glCullParameterdvEXTProcPtr PFNGLCULLPARAMETERDVEXTPROC
#define glCullParameterfvEXTProcPtr PFNGLCULLPARAMETERFVEXTPROC
#define glDeformSGIXProcPtr PFNGLDEFORMSGIXPROC
#define glDeformationMap3dSGIXProcPtr PFNGLDEFORMATIONMAP3DSGIXPROC
#define glDeformationMap3fSGIXProcPtr PFNGLDEFORMATIONMAP3FSGIXPROC
#define glDeleteAsyncMarkersSGIXProcPtr PFNGLDELETEASYNCMARKERSSGIXPROC
#define glDeleteBuffersARBProcPtr PFNGLDELETEBUFFERSARBPROC
#define glDeleteBuffersProcPtr PFNGLDELETEBUFFERSPROC
#define glDeleteFencesAPPLEProcPtr PFNGLDELETEFENCESAPPLEPROC
#define glDeleteFragmentShaderEXTProcPtr PFNGLDELETEFRAGMENTSHADEREXTPROC
#define glDeleteFramebuffersEXTProcPtr PFNGLDELETEFRAMEBUFFERSEXTPROC
#define glDeleteFramebuffersProcPtr PFNGLDELETEFRAMEBUFFERSPROC
#define glDeleteListsProcPtr PFNGLDELETELISTSPROC
#define glDeleteObjectARBProcPtr PFNGLDELETEOBJECTARBPROC
#define glDeleteProgramProcPtr PFNGLDELETEPROGRAMPROC
#define glDeleteProgramsARBProcPtr PFNGLDELETEPROGRAMSARBPROC
#define glDeleteProgramsNVProcPtr PFNGLDELETEPROGRAMSNVPROC
#define glDeleteQueriesARBProcPtr PFNGLDELETEQUERIESARBPROC
#define glDeleteQueriesProcPtr PFNGLDELETEQUERIESPROC
#define glDeleteRenderbuffersEXTProcPtr PFNGLDELETERENDERBUFFERSEXTPROC
#define glDeleteRenderbuffersProcPtr PFNGLDELETERENDERBUFFERSPROC
#define glDeleteShaderProcPtr PFNGLDELETESHADERPROC
#define glDeleteTexturesEXTProcPtr PFNGLDELETETEXTURESEXTPROC
#define glDeleteTexturesProcPtr PFNGLDELETETEXTURESPROC
#define glDeleteVertexArraysAPPLEProcPtr PFNGLDELETEVERTEXARRAYSAPPLEPROC
#define glDeleteVertexShaderEXTProcPtr PFNGLDELETEVERTEXSHADEREXTPROC
#define glDepthBoundsEXTProcPtr PFNGLDEPTHBOUNDSEXTPROC
#define glDepthFuncProcPtr PFNGLDEPTHFUNCPROC
#define glDepthMaskProcPtr PFNGLDEPTHMASKPROC
#define glDepthRangeProcPtr PFNGLDEPTHRANGEPROC
#define glDetachObjectARBProcPtr PFNGLDETACHOBJECTARBPROC
#define glDetachShaderProcPtr PFNGLDETACHSHADERPROC
#define glDetailTexFuncSGISProcPtr PFNGLDETAILTEXFUNCSGISPROC
#define glDisableClientStateProcPtr PFNGLDISABLECLIENTSTATEPROC
#define glDisableIndexedEXTProcPtr PFNGLDISABLEINDEXEDEXTPROC
#define glDisableProcPtr PFNGLDISABLEPROC
#define glDisableVariantClientStateEXTProcPtr PFNGLDISABLEVARIANTCLIENTSTATEEXTPROC
#define glDisableVertexAttribAPPLEProcPtr PFNGLDISABLEVERTEXATTRIBAPPLEPROC
#define glDisableVertexAttribArrayARBProcPtr PFNGLDISABLEVERTEXATTRIBARRAYARBPROC
#define glDisableVertexAttribArrayProcPtr PFNGLDISABLEVERTEXATTRIBARRAYPROC
#define glDrawArraysEXTProcPtr PFNGLDRAWARRAYSEXTPROC
#define glDrawArraysInstancedARBProcPtr PFNGLDRAWARRAYSINSTANCEDARBPROC
#define glDrawArraysProcPtr PFNGLDRAWARRAYSPROC
#define glDrawBufferProcPtr PFNGLDRAWBUFFERPROC
#define glDrawBuffersARBProcPtr PFNGLDRAWBUFFERSARBPROC
#define glDrawBuffersProcPtr PFNGLDRAWBUFFERSPROC
#define glDrawElementArrayAPPLEProcPtr PFNGLDRAWELEMENTARRAYAPPLEPROC
#define glDrawElementsInstancedARBProcPtr PFNGLDRAWELEMENTSINSTANCEDARBPROC
#define glDrawElementsProcPtr PFNGLDRAWELEMENTSPROC
#define glDrawPixelsProcPtr PFNGLDRAWPIXELSPROC
#define glDrawRangeElementArrayAPPLEProcPtr PFNGLDRAWRANGEELEMENTARRAYAPPLEPROC
#define glDrawRangeElementsEXTProcPtr PFNGLDRAWRANGEELEMENTSEXTPROC
#define glDrawRangeElementsProcPtr PFNGLDRAWRANGEELEMENTSPROC
#define glEdgeFlagPointerEXTProcPtr PFNGLEDGEFLAGPOINTEREXTPROC
#define glEdgeFlagPointerListIBMProcPtr PFNGLEDGEFLAGPOINTERLISTIBMPROC
#define glEdgeFlagPointerProcPtr PFNGLEDGEFLAGPOINTERPROC
#define glEdgeFlagProcPtr PFNGLEDGEFLAGPROC
#define glEdgeFlagvProcPtr PFNGLEDGEFLAGVPROC
#define glElementPointerAPPLEProcPtr PFNGLELEMENTPOINTERAPPLEPROC
#define glEnableClientStateProcPtr PFNGLENABLECLIENTSTATEPROC
#define glEnableIndexedEXTProcPtr PFNGLENABLEINDEXEDEXTPROC
#define glEnableProcPtr PFNGLENABLEPROC
#define glEnableVariantClientStateEXTProcPtr PFNGLENABLEVARIANTCLIENTSTATEEXTPROC
#define glEnableVertexAttribAPPLEProcPtr PFNGLENABLEVERTEXATTRIBAPPLEPROC
#define glEnableVertexAttribArrayARBProcPtr PFNGLENABLEVERTEXATTRIBARRAYARBPROC
#define glEnableVertexAttribArrayProcPtr PFNGLENABLEVERTEXATTRIBARRAYPROC
#define glEndConditionalRenderNVProcPtr PFNGLENDCONDITIONALRENDERNVPROC
#define glEndFragmentShaderEXTProcPtr PFNGLENDFRAGMENTSHADEREXTPROC
#define glEndListProcPtr PFNGLENDLISTPROC
#define glEndProcPtr PFNGLENDPROC
#define glEndQueryARBProcPtr PFNGLENDQUERYARBPROC
#define glEndQueryProcPtr PFNGLENDQUERYPROC
#define glEndTransformFeedbackEXTProcPtr PFNGLENDTRANSFORMFEEDBACKEXTPROC
#define glEndVertexShaderEXTProcPtr PFNGLENDVERTEXSHADEREXTPROC
#define glEvalCoord1dProcPtr PFNGLEVALCOORD1DPROC
#define glEvalCoord1dvProcPtr PFNGLEVALCOORD1DVPROC
#define glEvalCoord1fProcPtr PFNGLEVALCOORD1FPROC
#define glEvalCoord1fvProcPtr PFNGLEVALCOORD1FVPROC
#define glEvalCoord2dProcPtr PFNGLEVALCOORD2DPROC
#define glEvalCoord2dvProcPtr PFNGLEVALCOORD2DVPROC
#define glEvalCoord2fProcPtr PFNGLEVALCOORD2FPROC
#define glEvalCoord2fvProcPtr PFNGLEVALCOORD2FVPROC
#define glEvalMesh1ProcPtr PFNGLEVALMESH1PROC
#define glEvalMesh2ProcPtr PFNGLEVALMESH2PROC
#define glEvalPoint1ProcPtr PFNGLEVALPOINT1PROC
#define glEvalPoint2ProcPtr PFNGLEVALPOINT2PROC
#define glExecuteProgramNVProcPtr PFNGLEXECUTEPROGRAMNVPROC
#define glExtractComponentEXTProcPtr PFNGLEXTRACTCOMPONENTEXTPROC
#define glFeedbackBufferProcPtr PFNGLFEEDBACKBUFFERPROC
#define glFinalCombinerInputNVProcPtr PFNGLFINALCOMBINERINPUTNVPROC
#define glFinishAsyncSGIXProcPtr PFNGLFINISHASYNCSGIXPROC
#define glFinishFenceAPPLEProcPtr PFNGLFINISHFENCEAPPLEPROC
#define glFinishObjectAPPLEProcPtr PFNGLFINISHOBJECTAPPLEPROC
#define glFinishProcPtr PFNGLFINISHPROC
#define glFinishRenderAPPLEProcPtr PFNGLFINISHRENDERAPPLEPROC
#define glFinishTextureSUNXProcPtr PFNGLFINISHTEXTURESUNXPROC
#define glFlushMappedBufferRangeAPPLEProcPtr PFNGLFLUSHMAPPEDBUFFERRANGEAPPLEPROC
#define glFlushProcPtr PFNGLFLUSHPROC
#define glFlushRasterSGIXProcPtr PFNGLFLUSHRASTERSGIXPROC
#define glFlushRenderAPPLEProcPtr PFNGLFLUSHRENDERAPPLEPROC
#define glFlushVertexArrayRangeAPPLEProcPtr PFNGLFLUSHVERTEXARRAYRANGEAPPLEPROC
#define glFlushVertexArrayRangeNVProcPtr PFNGLFLUSHVERTEXARRAYRANGENVPROC
#define glFogCoordPointerEXTProcPtr PFNGLFOGCOORDPOINTEREXTPROC
#define glFogCoordPointerListIBMProcPtr PFNGLFOGCOORDPOINTERLISTIBMPROC
#define glFogCoordPointerProcPtr PFNGLFOGCOORDPOINTERPROC
#define glFogCoorddEXTProcPtr PFNGLFOGCOORDDEXTPROC
#define glFogCoorddProcPtr PFNGLFOGCOORDDPROC
#define glFogCoorddvEXTProcPtr PFNGLFOGCOORDDVEXTPROC
#define glFogCoorddvProcPtr PFNGLFOGCOORDDVPROC
#define glFogCoordfEXTProcPtr PFNGLFOGCOORDFEXTPROC
#define glFogCoordfProcPtr PFNGLFOGCOORDFPROC
#define glFogCoordfvEXTProcPtr PFNGLFOGCOORDFVEXTPROC
#define glFogCoordfvProcPtr PFNGLFOGCOORDFVPROC
#define glFogFuncSGISProcPtr PFNGLFOGFUNCSGISPROC
#define glFogfProcPtr PFNGLFOGFPROC
#define glFogfvProcPtr PFNGLFOGFVPROC
#define glFogiProcPtr PFNGLFOGIPROC
#define glFogivProcPtr PFNGLFOGIVPROC
#define glFragmentColorMaterialSGIXProcPtr PFNGLFRAGMENTCOLORMATERIALSGIXPROC
#define glFragmentLightModelfSGIXProcPtr PFNGLFRAGMENTLIGHTMODELFSGIXPROC
#define glFragmentLightModelfvSGIXProcPtr PFNGLFRAGMENTLIGHTMODELFVSGIXPROC
#define glFragmentLightModeliSGIXProcPtr PFNGLFRAGMENTLIGHTMODELISGIXPROC
#define glFragmentLightModelivSGIXProcPtr PFNGLFRAGMENTLIGHTMODELIVSGIXPROC
#define glFragmentLightfSGIXProcPtr PFNGLFRAGMENTLIGHTFSGIXPROC
#define glFragmentLightfvSGIXProcPtr PFNGLFRAGMENTLIGHTFVSGIXPROC
#define glFragmentLightiSGIXProcPtr PFNGLFRAGMENTLIGHTISGIXPROC
#define glFragmentLightivSGIXProcPtr PFNGLFRAGMENTLIGHTIVSGIXPROC
#define glFragmentMaterialfSGIXProcPtr PFNGLFRAGMENTMATERIALFSGIXPROC
#define glFragmentMaterialfvSGIXProcPtr PFNGLFRAGMENTMATERIALFVSGIXPROC
#define glFragmentMaterialiSGIXProcPtr PFNGLFRAGMENTMATERIALISGIXPROC
#define glFragmentMaterialivSGIXProcPtr PFNGLFRAGMENTMATERIALIVSGIXPROC
#define glFrameZoomSGIXProcPtr PFNGLFRAMEZOOMSGIXPROC
#define glFramebufferRenderbufferEXTProcPtr PFNGLFRAMEBUFFERRENDERBUFFEREXTPROC
#define glFramebufferRenderbufferProcPtr PFNGLFRAMEBUFFERRENDERBUFFERPROC
#define glFramebufferTexture1DEXTProcPtr PFNGLFRAMEBUFFERTEXTURE1DEXTPROC
#define glFramebufferTexture1DProcPtr PFNGLFRAMEBUFFERTEXTURE1DPROC
#define glFramebufferTexture2DEXTProcPtr PFNGLFRAMEBUFFERTEXTURE2DEXTPROC
#define glFramebufferTexture2DProcPtr PFNGLFRAMEBUFFERTEXTURE2DPROC
#define glFramebufferTexture3DEXTProcPtr PFNGLFRAMEBUFFERTEXTURE3DEXTPROC
#define glFramebufferTexture3DProcPtr PFNGLFRAMEBUFFERTEXTURE3DPROC
#define glFramebufferTextureEXTProcPtr PFNGLFRAMEBUFFERTEXTUREEXTPROC
#define glFramebufferTextureFaceEXTProcPtr PFNGLFRAMEBUFFERTEXTUREFACEEXTPROC
#define glFramebufferTextureLayerEXTProcPtr PFNGLFRAMEBUFFERTEXTURELAYEREXTPROC
#define glFramebufferTextureLayerProcPtr PFNGLFRAMEBUFFERTEXTURELAYERPROC
#define glFrontFaceProcPtr PFNGLFRONTFACEPROC
#define glFrustumProcPtr PFNGLFRUSTUMPROC
#define glGenAsyncMarkersSGIXProcPtr PFNGLGENASYNCMARKERSSGIXPROC
#define glGenBuffersARBProcPtr PFNGLGENBUFFERSARBPROC
#define glGenBuffersProcPtr PFNGLGENBUFFERSPROC
#define glGenFencesAPPLEProcPtr PFNGLGENFENCESAPPLEPROC
#define glGenFragmentShadersEXTProcPtr PFNGLGENFRAGMENTSHADERSEXTPROC
#define glGenFramebuffersEXTProcPtr PFNGLGENFRAMEBUFFERSEXTPROC
#define glGenFramebuffersProcPtr PFNGLGENFRAMEBUFFERSPROC
#define glGenListsProcPtr PFNGLGENLISTSPROC
#define glGenProgramsARBProcPtr PFNGLGENPROGRAMSARBPROC
#define glGenProgramsNVProcPtr PFNGLGENPROGRAMSNVPROC
#define glGenQueriesARBProcPtr PFNGLGENQUERIESARBPROC
#define glGenQueriesProcPtr PFNGLGENQUERIESPROC
#define glGenRenderbuffersEXTProcPtr PFNGLGENRENDERBUFFERSEXTPROC
#define glGenRenderbuffersProcPtr PFNGLGENRENDERBUFFERSPROC
#define glGenSymbolsEXTProcPtr PFNGLGENSYMBOLSEXTPROC
#define glGenTexturesEXTProcPtr PFNGLGENTEXTURESEXTPROC
#define glGenTexturesProcPtr PFNGLGENTEXTURESPROC
#define glGenVertexArraysAPPLEProcPtr PFNGLGENVERTEXARRAYSAPPLEPROC
#define glGenVertexShadersEXTProcPtr PFNGLGENVERTEXSHADERSEXTPROC
#define glGenerateMipmapEXTProcPtr PFNGLGENERATEMIPMAPEXTPROC
#define glGenerateMipmapProcPtr PFNGLGENERATEMIPMAPPROC
#define glGetActiveAttribARBProcPtr PFNGLGETACTIVEATTRIBARBPROC
#define glGetActiveAttribProcPtr PFNGLGETACTIVEATTRIBPROC
#define glGetActiveUniformARBProcPtr PFNGLGETACTIVEUNIFORMARBPROC
#define glGetActiveUniformBlockNameProcPtr PFNGLGETACTIVEUNIFORMBLOCKNAMEPROC
#define glGetActiveUniformBlockivProcPtr PFNGLGETACTIVEUNIFORMBLOCKIVPROC
#define glGetActiveUniformNameProcPtr PFNGLGETACTIVEUNIFORMNAMEPROC
#define glGetActiveUniformProcPtr PFNGLGETACTIVEUNIFORMPROC
#define glGetActiveUniformsivProcPtr PFNGLGETACTIVEUNIFORMSIVPROC
#define glGetAttachedObjectsARBProcPtr PFNGLGETATTACHEDOBJECTSARBPROC
#define glGetAttachedShadersProcPtr PFNGLGETATTACHEDSHADERSPROC
#define glGetAttribLocationARBProcPtr PFNGLGETATTRIBLOCATIONARBPROC
#define glGetAttribLocationProcPtr PFNGLGETATTRIBLOCATIONPROC
#define glGetBooleanIndexedvEXTProcPtr PFNGLGETBOOLEANINDEXEDVEXTPROC
#define glGetBooleanvProcPtr PFNGLGETBOOLEANVPROC
#define glGetBufferParameterivARBProcPtr PFNGLGETBUFFERPARAMETERIVARBPROC
#define glGetBufferParameterivProcPtr PFNGLGETBUFFERPARAMETERIVPROC
#define glGetBufferPointervARBProcPtr PFNGLGETBUFFERPOINTERVARBPROC
#define glGetBufferPointervProcPtr PFNGLGETBUFFERPOINTERVPROC
#define glGetBufferSubDataARBProcPtr PFNGLGETBUFFERSUBDATAARBPROC
#define glGetBufferSubDataProcPtr PFNGLGETBUFFERSUBDATAPROC
#define glGetClipPlaneProcPtr PFNGLGETCLIPPLANEPROC
#define glGetColorTableEXTProcPtr PFNGLGETCOLORTABLEEXTPROC
#define glGetColorTableParameterfvEXTProcPtr PFNGLGETCOLORTABLEPARAMETERFVEXTPROC
#define glGetColorTableParameterfvProcPtr PFNGLGETCOLORTABLEPARAMETERFVPROC
#define glGetColorTableParameterfvSGIProcPtr PFNGLGETCOLORTABLEPARAMETERFVSGIPROC
#define glGetColorTableParameterivEXTProcPtr PFNGLGETCOLORTABLEPARAMETERIVEXTPROC
#define glGetColorTableParameterivProcPtr PFNGLGETCOLORTABLEPARAMETERIVPROC
#define glGetColorTableParameterivSGIProcPtr PFNGLGETCOLORTABLEPARAMETERIVSGIPROC
#define glGetColorTableProcPtr PFNGLGETCOLORTABLEPROC
#define glGetColorTableSGIProcPtr PFNGLGETCOLORTABLESGIPROC
#define glGetCombinerInputParameterfvNVProcPtr PFNGLGETCOMBINERINPUTPARAMETERFVNVPROC
#define glGetCombinerInputParameterivNVProcPtr PFNGLGETCOMBINERINPUTPARAMETERIVNVPROC
#define glGetCombinerOutputParameterfvNVProcPtr PFNGLGETCOMBINEROUTPUTPARAMETERFVNVPROC
#define glGetCombinerOutputParameterivNVProcPtr PFNGLGETCOMBINEROUTPUTPARAMETERIVNVPROC
#define glGetCombinerStageParameterfvNVProcPtr PFNGLGETCOMBINERSTAGEPARAMETERFVNVPROC
#define glGetCompressedTexImageARBProcPtr PFNGLGETCOMPRESSEDTEXIMAGEARBPROC
#define glGetCompressedTexImageProcPtr PFNGLGETCOMPRESSEDTEXIMAGEPROC
#define glGetConvolutionFilterEXTProcPtr PFNGLGETCONVOLUTIONFILTEREXTPROC
#define glGetConvolutionFilterProcPtr PFNGLGETCONVOLUTIONFILTERPROC
#define glGetConvolutionParameterfvEXTProcPtr PFNGLGETCONVOLUTIONPARAMETERFVEXTPROC
#define glGetConvolutionParameterfvProcPtr PFNGLGETCONVOLUTIONPARAMETERFVPROC
#define glGetConvolutionParameterivEXTProcPtr PFNGLGETCONVOLUTIONPARAMETERIVEXTPROC
#define glGetConvolutionParameterivProcPtr PFNGLGETCONVOLUTIONPARAMETERIVPROC
#define glGetDetailTexFuncSGISProcPtr PFNGLGETDETAILTEXFUNCSGISPROC
#define glGetDoublevProcPtr PFNGLGETDOUBLEVPROC
#define glGetErrorProcPtr PFNGLGETERRORPROC
#define glGetFinalCombinerInputParameterfvNVProcPtr PFNGLGETFINALCOMBINERINPUTPARAMETERFVNVPROC
#define glGetFinalCombinerInputParameterivNVProcPtr PFNGLGETFINALCOMBINERINPUTPARAMETERIVNVPROC
#define glGetFloatvProcPtr PFNGLGETFLOATVPROC
#define glGetFogFuncSGISProcPtr PFNGLGETFOGFUNCSGISPROC
#define glGetFragDataLocationEXTProcPtr PFNGLGETFRAGDATALOCATIONEXTPROC
#define glGetFragmentLightfvSGIXProcPtr PFNGLGETFRAGMENTLIGHTFVSGIXPROC
#define glGetFragmentLightivSGIXProcPtr PFNGLGETFRAGMENTLIGHTIVSGIXPROC
#define glGetFragmentMaterialfvSGIXProcPtr PFNGLGETFRAGMENTMATERIALFVSGIXPROC
#define glGetFragmentMaterialivSGIXProcPtr PFNGLGETFRAGMENTMATERIALIVSGIXPROC
#define glGetFramebufferAttachmentParameterivEXTProcPtr PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC
#define glGetFramebufferAttachmentParameterivProcPtr PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVPROC
#define glGetHandleARBProcPtr PFNGLGETHANDLEARBPROC
#define glGetHistogramEXTProcPtr PFNGLGETHISTOGRAMEXTPROC
#define glGetHistogramParameterfvEXTProcPtr PFNGLGETHISTOGRAMPARAMETERFVEXTPROC
#define glGetHistogramParameterfvProcPtr PFNGLGETHISTOGRAMPARAMETERFVPROC
#define glGetHistogramParameterivEXTProcPtr PFNGLGETHISTOGRAMPARAMETERIVEXTPROC
#define glGetHistogramParameterivProcPtr PFNGLGETHISTOGRAMPARAMETERIVPROC
#define glGetHistogramProcPtr PFNGLGETHISTOGRAMPROC
#define glGetImageTransformParameterfvHPProcPtr PFNGLGETIMAGETRANSFORMPARAMETERFVHPPROC
#define glGetImageTransformParameterivHPProcPtr PFNGLGETIMAGETRANSFORMPARAMETERIVHPPROC
#define glGetInfoLogARBProcPtr PFNGLGETINFOLOGARBPROC
#define glGetInstrumentsSGIXProcPtr PFNGLGETINSTRUMENTSSGIXPROC
#define glGetIntegerIndexedvEXTProcPtr PFNGLGETINTEGERINDEXEDVEXTPROC
#define glGetIntegeri_vProcPtr PFNGLGETINTEGERI_VPROC
#define glGetIntegervProcPtr PFNGLGETINTEGERVPROC
#define glGetInvariantBooleanvEXTProcPtr PFNGLGETINVARIANTBOOLEANVEXTPROC
#define glGetInvariantFloatvEXTProcPtr PFNGLGETINVARIANTFLOATVEXTPROC
#define glGetInvariantIntegervEXTProcPtr PFNGLGETINVARIANTINTEGERVEXTPROC
#define glGetLightfvProcPtr PFNGLGETLIGHTFVPROC
#define glGetLightivProcPtr PFNGLGETLIGHTIVPROC
#define glGetListParameterfvSGIXProcPtr PFNGLGETLISTPARAMETERFVSGIXPROC
#define glGetListParameterivSGIXProcPtr PFNGLGETLISTPARAMETERIVSGIXPROC
#define glGetLocalConstantBooleanvEXTProcPtr PFNGLGETLOCALCONSTANTBOOLEANVEXTPROC
#define glGetLocalConstantFloatvEXTProcPtr PFNGLGETLOCALCONSTANTFLOATVEXTPROC
#define glGetLocalConstantIntegervEXTProcPtr PFNGLGETLOCALCONSTANTINTEGERVEXTPROC
#define glGetMapdvProcPtr PFNGLGETMAPDVPROC
#define glGetMapfvProcPtr PFNGLGETMAPFVPROC
#define glGetMapivProcPtr PFNGLGETMAPIVPROC
#define glGetMaterialfvProcPtr PFNGLGETMATERIALFVPROC
#define glGetMaterialivProcPtr PFNGLGETMATERIALIVPROC
#define glGetMinmaxEXTProcPtr PFNGLGETMINMAXEXTPROC
#define glGetMinmaxParameterfvEXTProcPtr PFNGLGETMINMAXPARAMETERFVEXTPROC
#define glGetMinmaxParameterfvProcPtr PFNGLGETMINMAXPARAMETERFVPROC
#define glGetMinmaxParameterivEXTProcPtr PFNGLGETMINMAXPARAMETERIVEXTPROC
#define glGetMinmaxParameterivProcPtr PFNGLGETMINMAXPARAMETERIVPROC
#define glGetMinmaxProcPtr PFNGLGETMINMAXPROC
#define glGetObjectParameterfvARBProcPtr PFNGLGETOBJECTPARAMETERFVARBPROC
#define glGetObjectParameterivAPPLEProcPtr PFNGLGETOBJECTPARAMETERIVAPPLEPROC
#define glGetObjectParameterivARBProcPtr PFNGLGETOBJECTPARAMETERIVARBPROC
#define glGetPixelMapfvProcPtr PFNGLGETPIXELMAPFVPROC
#define glGetPixelMapuivProcPtr PFNGLGETPIXELMAPUIVPROC
#define glGetPixelMapusvProcPtr PFNGLGETPIXELMAPUSVPROC
#define glGetPixelTexGenParameterfvSGISProcPtr PFNGLGETPIXELTEXGENPARAMETERFVSGISPROC
#define glGetPixelTexGenParameterivSGISProcPtr PFNGLGETPIXELTEXGENPARAMETERIVSGISPROC
#define glGetPointervEXTProcPtr PFNGLGETPOINTERVEXTPROC
#define glGetPointervProcPtr PFNGLGETPOINTERVPROC
#define glGetPolygonStippleProcPtr PFNGLGETPOLYGONSTIPPLEPROC
#define glGetProgramEnvParameterdvARBProcPtr PFNGLGETPROGRAMENVPARAMETERDVARBPROC
#define glGetProgramEnvParameterfvARBProcPtr PFNGLGETPROGRAMENVPARAMETERFVARBPROC
#define glGetProgramInfoLogProcPtr PFNGLGETPROGRAMINFOLOGPROC
#define glGetProgramLocalParameterdvARBProcPtr PFNGLGETPROGRAMLOCALPARAMETERDVARBPROC
#define glGetProgramLocalParameterfvARBProcPtr PFNGLGETPROGRAMLOCALPARAMETERFVARBPROC
#define glGetProgramParameterdvNVProcPtr PFNGLGETPROGRAMPARAMETERDVNVPROC
#define glGetProgramParameterfvNVProcPtr PFNGLGETPROGRAMPARAMETERFVNVPROC
#define glGetProgramStringARBProcPtr PFNGLGETPROGRAMSTRINGARBPROC
#define glGetProgramStringNVProcPtr PFNGLGETPROGRAMSTRINGNVPROC
#define glGetProgramivARBProcPtr PFNGLGETPROGRAMIVARBPROC
#define glGetProgramivNVProcPtr PFNGLGETPROGRAMIVNVPROC
#define glGetProgramivProcPtr PFNGLGETPROGRAMIVPROC
#define glGetQueryObjectivARBProcPtr PFNGLGETQUERYOBJECTIVARBPROC
#define glGetQueryObjectivProcPtr PFNGLGETQUERYOBJECTIVPROC
#define glGetQueryObjectuivARBProcPtr PFNGLGETQUERYOBJECTUIVARBPROC
#define glGetQueryObjectuivProcPtr PFNGLGETQUERYOBJECTUIVPROC
#define glGetQueryivARBProcPtr PFNGLGETQUERYIVARBPROC
#define glGetQueryivProcPtr PFNGLGETQUERYIVPROC
#define glGetRenderbufferParameterivEXTProcPtr PFNGLGETRENDERBUFFERPARAMETERIVEXTPROC
#define glGetRenderbufferParameterivProcPtr PFNGLGETRENDERBUFFERPARAMETERIVPROC
#define glGetSeparableFilterEXTProcPtr PFNGLGETSEPARABLEFILTEREXTPROC
#define glGetSeparableFilterProcPtr PFNGLGETSEPARABLEFILTERPROC
#define glGetShaderInfoLogProcPtr PFNGLGETSHADERINFOLOGPROC
#define glGetShaderSourceARBProcPtr PFNGLGETSHADERSOURCEARBPROC
#define glGetShaderSourceProcPtr PFNGLGETSHADERSOURCEPROC
#define glGetShaderivProcPtr PFNGLGETSHADERIVPROC
#define glGetSharpenTexFuncSGISProcPtr PFNGLGETSHARPENTEXFUNCSGISPROC
#define glGetStringProcPtr PFNGLGETSTRINGPROC
#define glGetTexEnvfvProcPtr PFNGLGETTEXENVFVPROC
#define glGetTexEnvivProcPtr PFNGLGETTEXENVIVPROC
#define glGetTexFilterFuncSGISProcPtr PFNGLGETTEXFILTERFUNCSGISPROC
#define glGetTexGendvProcPtr PFNGLGETTEXGENDVPROC
#define glGetTexGenfvProcPtr PFNGLGETTEXGENFVPROC
#define glGetTexGenivProcPtr PFNGLGETTEXGENIVPROC
#define glGetTexImageProcPtr PFNGLGETTEXIMAGEPROC
#define glGetTexLevelParameterfvProcPtr PFNGLGETTEXLEVELPARAMETERFVPROC
#define glGetTexLevelParameterivProcPtr PFNGLGETTEXLEVELPARAMETERIVPROC
#define glGetTexParameterIivEXTProcPtr PFNGLGETTEXPARAMETERIIVEXTPROC
#define glGetTexParameterIuivEXTProcPtr PFNGLGETTEXPARAMETERIUIVEXTPROC
#define glGetTexParameterPointervAPPLEProcPtr PFNGLGETTEXPARAMETERPOINTERVAPPLEPROC
#define glGetTexParameterfvProcPtr PFNGLGETTEXPARAMETERFVPROC
#define glGetTexParameterivProcPtr PFNGLGETTEXPARAMETERIVPROC
#define glGetTrackMatrixivNVProcPtr PFNGLGETTRACKMATRIXIVNVPROC
#define glGetTransformFeedbackVaryingEXTProcPtr PFNGLGETTRANSFORMFEEDBACKVARYINGEXTPROC
#define glGetUniformBlockIndexProcPtr PFNGLGETUNIFORMBLOCKINDEXPROC
#define glGetUniformBufferSizeEXTProcPtr PFNGLGETUNIFORMBUFFERSIZEEXTPROC
#define glGetUniformIndicesProcPtr PFNGLGETUNIFORMINDICESPROC
#define glGetUniformLocationARBProcPtr PFNGLGETUNIFORMLOCATIONARBPROC
#define glGetUniformLocationProcPtr PFNGLGETUNIFORMLOCATIONPROC
#define glGetUniformOffsetEXTProcPtr PFNGLGETUNIFORMOFFSETEXTPROC
#define glGetUniformfvARBProcPtr PFNGLGETUNIFORMFVARBPROC
#define glGetUniformfvProcPtr PFNGLGETUNIFORMFVPROC
#define glGetUniformivARBProcPtr PFNGLGETUNIFORMIVARBPROC
#define glGetUniformivProcPtr PFNGLGETUNIFORMIVPROC
#define glGetUniformuivEXTProcPtr PFNGLGETUNIFORMUIVEXTPROC
#define glGetVariantBooleanvEXTProcPtr PFNGLGETVARIANTBOOLEANVEXTPROC
#define glGetVariantFloatvEXTProcPtr PFNGLGETVARIANTFLOATVEXTPROC
#define glGetVariantIntegervEXTProcPtr PFNGLGETVARIANTINTEGERVEXTPROC
#define glGetVariantPointervEXTProcPtr PFNGLGETVARIANTPOINTERVEXTPROC
#define glGetVertexAttribIivEXTProcPtr PFNGLGETVERTEXATTRIBIIVEXTPROC
#define glGetVertexAttribIuivEXTProcPtr PFNGLGETVERTEXATTRIBIUIVEXTPROC
#define glGetVertexAttribPointervARBProcPtr PFNGLGETVERTEXATTRIBPOINTERVARBPROC
#define glGetVertexAttribPointervNVProcPtr PFNGLGETVERTEXATTRIBPOINTERVNVPROC
#define glGetVertexAttribPointervProcPtr PFNGLGETVERTEXATTRIBPOINTERVPROC
#define glGetVertexAttribdvARBProcPtr PFNGLGETVERTEXATTRIBDVARBPROC
#define glGetVertexAttribdvNVProcPtr PFNGLGETVERTEXATTRIBDVNVPROC
#define glGetVertexAttribdvProcPtr PFNGLGETVERTEXATTRIBDVPROC
#define glGetVertexAttribfvARBProcPtr PFNGLGETVERTEXATTRIBFVARBPROC
#define glGetVertexAttribfvNVProcPtr PFNGLGETVERTEXATTRIBFVNVPROC
#define glGetVertexAttribfvProcPtr PFNGLGETVERTEXATTRIBFVPROC
#define glGetVertexAttribivARBProcPtr PFNGLGETVERTEXATTRIBIVARBPROC
#define glGetVertexAttribivNVProcPtr PFNGLGETVERTEXATTRIBIVNVPROC
#define glGetVertexAttribivProcPtr PFNGLGETVERTEXATTRIBIVPROC
#define glGlobalAlphaFactorbSUNProcPtr PFNGLGLOBALALPHAFACTORBSUNPROC
#define glGlobalAlphaFactordSUNProcPtr PFNGLGLOBALALPHAFACTORDSUNPROC
#define glGlobalAlphaFactorfSUNProcPtr PFNGLGLOBALALPHAFACTORFSUNPROC
#define glGlobalAlphaFactoriSUNProcPtr PFNGLGLOBALALPHAFACTORISUNPROC
#define glGlobalAlphaFactorsSUNProcPtr PFNGLGLOBALALPHAFACTORSSUNPROC
#define glGlobalAlphaFactorubSUNProcPtr PFNGLGLOBALALPHAFACTORUBSUNPROC
#define glGlobalAlphaFactoruiSUNProcPtr PFNGLGLOBALALPHAFACTORUISUNPROC
#define glGlobalAlphaFactorusSUNProcPtr PFNGLGLOBALALPHAFACTORUSSUNPROC
#define glHintPGIProcPtr PFNGLHINTPGIPROC
#define glHintProcPtr PFNGLHINTPROC
#define glHistogramEXTProcPtr PFNGLHISTOGRAMEXTPROC
#define glHistogramProcPtr PFNGLHISTOGRAMPROC
#define glImageTransformParameterfHPProcPtr PFNGLIMAGETRANSFORMPARAMETERFHPPROC
#define glImageTransformParameterfvHPProcPtr PFNGLIMAGETRANSFORMPARAMETERFVHPPROC
#define glImageTransformParameteriHPProcPtr PFNGLIMAGETRANSFORMPARAMETERIHPPROC
#define glImageTransformParameterivHPProcPtr PFNGLIMAGETRANSFORMPARAMETERIVHPPROC
#define glIndexFuncEXTProcPtr PFNGLINDEXFUNCEXTPROC
#define glIndexMaskProcPtr PFNGLINDEXMASKPROC
#define glIndexMaterialEXTProcPtr PFNGLINDEXMATERIALEXTPROC
#define glIndexPointerEXTProcPtr PFNGLINDEXPOINTEREXTPROC
#define glIndexPointerListIBMProcPtr PFNGLINDEXPOINTERLISTIBMPROC
#define glIndexPointerProcPtr PFNGLINDEXPOINTERPROC
#define glIndexdProcPtr PFNGLINDEXDPROC
#define glIndexdvProcPtr PFNGLINDEXDVPROC
#define glIndexfProcPtr PFNGLINDEXFPROC
#define glIndexfvProcPtr PFNGLINDEXFVPROC
#define glIndexiProcPtr PFNGLINDEXIPROC
#define glIndexivProcPtr PFNGLINDEXIVPROC
#define glIndexsProcPtr PFNGLINDEXSPROC
#define glIndexsvProcPtr PFNGLINDEXSVPROC
#define glIndexubProcPtr PFNGLINDEXUBPROC
#define glIndexubvProcPtr PFNGLINDEXUBVPROC
#define glInitNamesProcPtr PFNGLINITNAMESPROC
#define glInsertComponentEXTProcPtr PFNGLINSERTCOMPONENTEXTPROC
#define glInstrumentsBufferSGIXProcPtr PFNGLINSTRUMENTSBUFFERSGIXPROC
#define glInterleavedArraysProcPtr PFNGLINTERLEAVEDARRAYSPROC
#define glIsAsyncMarkerSGIXProcPtr PFNGLISASYNCMARKERSGIXPROC
#define glIsBufferARBProcPtr PFNGLISBUFFERARBPROC
#define glIsBufferProcPtr PFNGLISBUFFERPROC
#define glIsEnabledIndexedEXTProcPtr PFNGLISENABLEDINDEXEDEXTPROC
#define glIsEnabledProcPtr PFNGLISENABLEDPROC
#define glIsFenceAPPLEProcPtr PFNGLISFENCEAPPLEPROC
#define glIsFramebufferEXTProcPtr PFNGLISFRAMEBUFFEREXTPROC
#define glIsFramebufferProcPtr PFNGLISFRAMEBUFFERPROC
#define glIsListProcPtr PFNGLISLISTPROC
#define glIsProgramARBProcPtr PFNGLISPROGRAMARBPROC
#define glIsProgramNVProcPtr PFNGLISPROGRAMNVPROC
#define glIsProgramProcPtr PFNGLISPROGRAMPROC
#define glIsQueryARBProcPtr PFNGLISQUERYARBPROC
#define glIsQueryProcPtr PFNGLISQUERYPROC
#define glIsRenderbufferEXTProcPtr PFNGLISRENDERBUFFEREXTPROC
#define glIsRenderbufferProcPtr PFNGLISRENDERBUFFERPROC
#define glIsShaderProcPtr PFNGLISSHADERPROC
#define glIsTextureEXTProcPtr PFNGLISTEXTUREEXTPROC
#define glIsTextureProcPtr PFNGLISTEXTUREPROC
#define glIsVariantEnabledEXTProcPtr PFNGLISVARIANTENABLEDEXTPROC
#define glIsVertexArrayAPPLEProcPtr PFNGLISVERTEXARRAYAPPLEPROC
#define glIsVertexAttribEnabledAPPLEProcPtr PFNGLISVERTEXATTRIBENABLEDAPPLEPROC
#define glLightEnviSGIXProcPtr PFNGLLIGHTENVISGIXPROC
#define glLightModelfProcPtr PFNGLLIGHTMODELFPROC
#define glLightModelfvProcPtr PFNGLLIGHTMODELFVPROC
#define glLightModeliProcPtr PFNGLLIGHTMODELIPROC
#define glLightModelivProcPtr PFNGLLIGHTMODELIVPROC
#define glLightfProcPtr PFNGLLIGHTFPROC
#define glLightfvProcPtr PFNGLLIGHTFVPROC
#define glLightiProcPtr PFNGLLIGHTIPROC
#define glLightivProcPtr PFNGLLIGHTIVPROC
#define glLineStippleProcPtr PFNGLLINESTIPPLEPROC
#define glLineWidthProcPtr PFNGLLINEWIDTHPROC
#define glLinkProgramARBProcPtr PFNGLLINKPROGRAMARBPROC
#define glLinkProgramProcPtr PFNGLLINKPROGRAMPROC
#define glListBaseProcPtr PFNGLLISTBASEPROC
#define glListParameterfSGIXProcPtr PFNGLLISTPARAMETERFSGIXPROC
#define glListParameterfvSGIXProcPtr PFNGLLISTPARAMETERFVSGIXPROC
#define glListParameteriSGIXProcPtr PFNGLLISTPARAMETERISGIXPROC
#define glListParameterivSGIXProcPtr PFNGLLISTPARAMETERIVSGIXPROC
#define glLoadIdentityDeformationMapSGIXProcPtr PFNGLLOADIDENTITYDEFORMATIONMAPSGIXPROC
#define glLoadIdentityProcPtr PFNGLLOADIDENTITYPROC
#define glLoadMatrixdProcPtr PFNGLLOADMATRIXDPROC
#define glLoadMatrixfProcPtr PFNGLLOADMATRIXFPROC
#define glLoadNameProcPtr PFNGLLOADNAMEPROC
#define glLoadProgramNVProcPtr PFNGLLOADPROGRAMNVPROC
#define glLoadTransposeMatrixdARBProcPtr PFNGLLOADTRANSPOSEMATRIXDARBPROC
#define glLoadTransposeMatrixdProcPtr PFNGLLOADTRANSPOSEMATRIXDPROC
#define glLoadTransposeMatrixfARBProcPtr PFNGLLOADTRANSPOSEMATRIXFARBPROC
#define glLoadTransposeMatrixfProcPtr PFNGLLOADTRANSPOSEMATRIXFPROC
#define glLockArraysEXTProcPtr PFNGLLOCKARRAYSEXTPROC
#define glLogicOpProcPtr PFNGLLOGICOPPROC
#define glMap1dProcPtr PFNGLMAP1DPROC
#define glMap1fProcPtr PFNGLMAP1FPROC
#define glMap2dProcPtr PFNGLMAP2DPROC
#define glMap2fProcPtr PFNGLMAP2FPROC
#define glMapBufferARBProcPtr PFNGLMAPBUFFERARBPROC
#define glMapBufferProcPtr PFNGLMAPBUFFERPROC
#define glMapGrid1dProcPtr PFNGLMAPGRID1DPROC
#define glMapGrid1fProcPtr PFNGLMAPGRID1FPROC
#define glMapGrid2dProcPtr PFNGLMAPGRID2DPROC
#define glMapGrid2fProcPtr PFNGLMAPGRID2FPROC
#define glMapVertexAttrib1dAPPLEProcPtr PFNGLMAPVERTEXATTRIB1DAPPLEPROC
#define glMapVertexAttrib1fAPPLEProcPtr PFNGLMAPVERTEXATTRIB1FAPPLEPROC
#define glMapVertexAttrib2dAPPLEProcPtr PFNGLMAPVERTEXATTRIB2DAPPLEPROC
#define glMapVertexAttrib2fAPPLEProcPtr PFNGLMAPVERTEXATTRIB2FAPPLEPROC
#define glMaterialfProcPtr PFNGLMATERIALFPROC
#define glMaterialfvProcPtr PFNGLMATERIALFVPROC
#define glMaterialiProcPtr PFNGLMATERIALIPROC
#define glMaterialivProcPtr PFNGLMATERIALIVPROC
#define glMatrixModeProcPtr PFNGLMATRIXMODEPROC
#define glMinmaxEXTProcPtr PFNGLMINMAXEXTPROC
#define glMinmaxProcPtr PFNGLMINMAXPROC
#define glMultMatrixdProcPtr PFNGLMULTMATRIXDPROC
#define glMultMatrixfProcPtr PFNGLMULTMATRIXFPROC
#define glMultTransposeMatrixdARBProcPtr PFNGLMULTTRANSPOSEMATRIXDARBPROC
#define glMultTransposeMatrixdProcPtr PFNGLMULTTRANSPOSEMATRIXDPROC
#define glMultTransposeMatrixfARBProcPtr PFNGLMULTTRANSPOSEMATRIXFARBPROC
#define glMultTransposeMatrixfProcPtr PFNGLMULTTRANSPOSEMATRIXFPROC
#define glMultiDrawArraysEXTProcPtr PFNGLMULTIDRAWARRAYSEXTPROC
#define glMultiDrawArraysProcPtr PFNGLMULTIDRAWARRAYSPROC
#define glMultiDrawElementArrayAPPLEProcPtr PFNGLMULTIDRAWELEMENTARRAYAPPLEPROC
#define glMultiDrawElementsEXTProcPtr PFNGLMULTIDRAWELEMENTSEXTPROC
#define glMultiDrawElementsProcPtr PFNGLMULTIDRAWELEMENTSPROC
#define glMultiDrawRangeElementArrayAPPLEProcPtr PFNGLMULTIDRAWRANGEELEMENTARRAYAPPLEPROC
#define glMultiModeDrawArraysIBMProcPtr PFNGLMULTIMODEDRAWARRAYSIBMPROC
#define glMultiModeDrawElementsIBMProcPtr PFNGLMULTIMODEDRAWELEMENTSIBMPROC
#define glMultiTexCoord1dARBProcPtr PFNGLMULTITEXCOORD1DARBPROC
#define glMultiTexCoord1dProcPtr PFNGLMULTITEXCOORD1DPROC
#define glMultiTexCoord1dvARBProcPtr PFNGLMULTITEXCOORD1DVARBPROC
#define glMultiTexCoord1dvProcPtr PFNGLMULTITEXCOORD1DVPROC
#define glMultiTexCoord1fARBProcPtr PFNGLMULTITEXCOORD1FARBPROC
#define glMultiTexCoord1fProcPtr PFNGLMULTITEXCOORD1FPROC
#define glMultiTexCoord1fvARBProcPtr PFNGLMULTITEXCOORD1FVARBPROC
#define glMultiTexCoord1fvProcPtr PFNGLMULTITEXCOORD1FVPROC
#define glMultiTexCoord1iARBProcPtr PFNGLMULTITEXCOORD1IARBPROC
#define glMultiTexCoord1iProcPtr PFNGLMULTITEXCOORD1IPROC
#define glMultiTexCoord1ivARBProcPtr PFNGLMULTITEXCOORD1IVARBPROC
#define glMultiTexCoord1ivProcPtr PFNGLMULTITEXCOORD1IVPROC
#define glMultiTexCoord1sARBProcPtr PFNGLMULTITEXCOORD1SARBPROC
#define glMultiTexCoord1sProcPtr PFNGLMULTITEXCOORD1SPROC
#define glMultiTexCoord1svARBProcPtr PFNGLMULTITEXCOORD1SVARBPROC
#define glMultiTexCoord1svProcPtr PFNGLMULTITEXCOORD1SVPROC
#define glMultiTexCoord2dARBProcPtr PFNGLMULTITEXCOORD2DARBPROC
#define glMultiTexCoord2dProcPtr PFNGLMULTITEXCOORD2DPROC
#define glMultiTexCoord2dvARBProcPtr PFNGLMULTITEXCOORD2DVARBPROC
#define glMultiTexCoord2dvProcPtr PFNGLMULTITEXCOORD2DVPROC
#define glMultiTexCoord2fARBProcPtr PFNGLMULTITEXCOORD2FARBPROC
#define glMultiTexCoord2fProcPtr PFNGLMULTITEXCOORD2FPROC
#define glMultiTexCoord2fvARBProcPtr PFNGLMULTITEXCOORD2FVARBPROC
#define glMultiTexCoord2fvProcPtr PFNGLMULTITEXCOORD2FVPROC
#define glMultiTexCoord2iARBProcPtr PFNGLMULTITEXCOORD2IARBPROC
#define glMultiTexCoord2iProcPtr PFNGLMULTITEXCOORD2IPROC
#define glMultiTexCoord2ivARBProcPtr PFNGLMULTITEXCOORD2IVARBPROC
#define glMultiTexCoord2ivProcPtr PFNGLMULTITEXCOORD2IVPROC
#define glMultiTexCoord2sARBProcPtr PFNGLMULTITEXCOORD2SARBPROC
#define glMultiTexCoord2sProcPtr PFNGLMULTITEXCOORD2SPROC
#define glMultiTexCoord2svARBProcPtr PFNGLMULTITEXCOORD2SVARBPROC
#define glMultiTexCoord2svProcPtr PFNGLMULTITEXCOORD2SVPROC
#define glMultiTexCoord3dARBProcPtr PFNGLMULTITEXCOORD3DARBPROC
#define glMultiTexCoord3dProcPtr PFNGLMULTITEXCOORD3DPROC
#define glMultiTexCoord3dvARBProcPtr PFNGLMULTITEXCOORD3DVARBPROC
#define glMultiTexCoord3dvProcPtr PFNGLMULTITEXCOORD3DVPROC
#define glMultiTexCoord3fARBProcPtr PFNGLMULTITEXCOORD3FARBPROC
#define glMultiTexCoord3fProcPtr PFNGLMULTITEXCOORD3FPROC
#define glMultiTexCoord3fvARBProcPtr PFNGLMULTITEXCOORD3FVARBPROC
#define glMultiTexCoord3fvProcPtr PFNGLMULTITEXCOORD3FVPROC
#define glMultiTexCoord3iARBProcPtr PFNGLMULTITEXCOORD3IARBPROC
#define glMultiTexCoord3iProcPtr PFNGLMULTITEXCOORD3IPROC
#define glMultiTexCoord3ivARBProcPtr PFNGLMULTITEXCOORD3IVARBPROC
#define glMultiTexCoord3ivProcPtr PFNGLMULTITEXCOORD3IVPROC
#define glMultiTexCoord3sARBProcPtr PFNGLMULTITEXCOORD3SARBPROC
#define glMultiTexCoord3sProcPtr PFNGLMULTITEXCOORD3SPROC
#define glMultiTexCoord3svARBProcPtr PFNGLMULTITEXCOORD3SVARBPROC
#define glMultiTexCoord3svProcPtr PFNGLMULTITEXCOORD3SVPROC
#define glMultiTexCoord4dARBProcPtr PFNGLMULTITEXCOORD4DARBPROC
#define glMultiTexCoord4dProcPtr PFNGLMULTITEXCOORD4DPROC
#define glMultiTexCoord4dvARBProcPtr PFNGLMULTITEXCOORD4DVARBPROC
#define glMultiTexCoord4dvProcPtr PFNGLMULTITEXCOORD4DVPROC
#define glMultiTexCoord4fARBProcPtr PFNGLMULTITEXCOORD4FARBPROC
#define glMultiTexCoord4fProcPtr PFNGLMULTITEXCOORD4FPROC
#define glMultiTexCoord4fvARBProcPtr PFNGLMULTITEXCOORD4FVARBPROC
#define glMultiTexCoord4fvProcPtr PFNGLMULTITEXCOORD4FVPROC
#define glMultiTexCoord4iARBProcPtr PFNGLMULTITEXCOORD4IARBPROC
#define glMultiTexCoord4iProcPtr PFNGLMULTITEXCOORD4IPROC
#define glMultiTexCoord4ivARBProcPtr PFNGLMULTITEXCOORD4IVARBPROC
#define glMultiTexCoord4ivProcPtr PFNGLMULTITEXCOORD4IVPROC
#define glMultiTexCoord4sARBProcPtr PFNGLMULTITEXCOORD4SARBPROC
#define glMultiTexCoord4sProcPtr PFNGLMULTITEXCOORD4SPROC
#define glMultiTexCoord4svARBProcPtr PFNGLMULTITEXCOORD4SVARBPROC
#define glMultiTexCoord4svProcPtr PFNGLMULTITEXCOORD4SVPROC
#define glNewListProcPtr PFNGLNEWLISTPROC
#define glNormal3bProcPtr PFNGLNORMAL3BPROC
#define glNormal3bvProcPtr PFNGLNORMAL3BVPROC
#define glNormal3dProcPtr PFNGLNORMAL3DPROC
#define glNormal3dvProcPtr PFNGLNORMAL3DVPROC
#define glNormal3fProcPtr PFNGLNORMAL3FPROC
#define glNormal3fVertex3fSUNProcPtr PFNGLNORMAL3FVERTEX3FSUNPROC
#define glNormal3fVertex3fvSUNProcPtr PFNGLNORMAL3FVERTEX3FVSUNPROC
#define glNormal3fvProcPtr PFNGLNORMAL3FVPROC
#define glNormal3iProcPtr PFNGLNORMAL3IPROC
#define glNormal3ivProcPtr PFNGLNORMAL3IVPROC
#define glNormal3sProcPtr PFNGLNORMAL3SPROC
#define glNormal3svProcPtr PFNGLNORMAL3SVPROC
#define glNormalPointerEXTProcPtr PFNGLNORMALPOINTEREXTPROC
#define glNormalPointerListIBMProcPtr PFNGLNORMALPOINTERLISTIBMPROC
#define glNormalPointerProcPtr PFNGLNORMALPOINTERPROC
#define glNormalPointervINTELProcPtr PFNGLNORMALPOINTERVINTELPROC
#define glObjectPurgeableAPPLEProcPtr PFNGLOBJECTPURGEABLEAPPLEPROC
#define glObjectUnpurgeableAPPLEProcPtr PFNGLOBJECTUNPURGEABLEAPPLEPROC
#define glOrthoProcPtr PFNGLORTHOPROC
#define glPassTexCoordEXTProcPtr PFNGLPASSTEXCOORDEXTPROC
#define glPassThroughProcPtr PFNGLPASSTHROUGHPROC
#define glPixelMapfvProcPtr PFNGLPIXELMAPFVPROC
#define glPixelMapuivProcPtr PFNGLPIXELMAPUIVPROC
#define glPixelMapusvProcPtr PFNGLPIXELMAPUSVPROC
#define glPixelStorefProcPtr PFNGLPIXELSTOREFPROC
#define glPixelStoreiProcPtr PFNGLPIXELSTOREIPROC
#define glPixelTexGenParameterfSGISProcPtr PFNGLPIXELTEXGENPARAMETERFSGISPROC
#define glPixelTexGenParameterfvSGISProcPtr PFNGLPIXELTEXGENPARAMETERFVSGISPROC
#define glPixelTexGenParameteriSGISProcPtr PFNGLPIXELTEXGENPARAMETERISGISPROC
#define glPixelTexGenParameterivSGISProcPtr PFNGLPIXELTEXGENPARAMETERIVSGISPROC
#define glPixelTexGenSGIXProcPtr PFNGLPIXELTEXGENSGIXPROC
#define glPixelTransferfProcPtr PFNGLPIXELTRANSFERFPROC
#define glPixelTransferiProcPtr PFNGLPIXELTRANSFERIPROC
#define glPixelTransformParameterfEXTProcPtr PFNGLPIXELTRANSFORMPARAMETERFEXTPROC
#define glPixelTransformParameterfvEXTProcPtr PFNGLPIXELTRANSFORMPARAMETERFVEXTPROC
#define glPixelTransformParameteriEXTProcPtr PFNGLPIXELTRANSFORMPARAMETERIEXTPROC
#define glPixelTransformParameterivEXTProcPtr PFNGLPIXELTRANSFORMPARAMETERIVEXTPROC
#define glPixelZoomProcPtr PFNGLPIXELZOOMPROC
#define glPointParameterfARBProcPtr PFNGLPOINTPARAMETERFARBPROC
#define glPointParameterfProcPtr PFNGLPOINTPARAMETERFPROC
#define glPointParameterfvARBProcPtr PFNGLPOINTPARAMETERFVARBPROC
#define glPointParameterfvProcPtr PFNGLPOINTPARAMETERFVPROC
#define glPointParameteriNVProcPtr PFNGLPOINTPARAMETERINVPROC
#define glPointParameteriProcPtr PFNGLPOINTPARAMETERIPROC
#define glPointParameterivNVProcPtr PFNGLPOINTPARAMETERIVNVPROC
#define glPointParameterivProcPtr PFNGLPOINTPARAMETERIVPROC
#define glPointSizePointerAPPLEProcPtr PFNGLPOINTSIZEPOINTERAPPLEPROC
#define glPointSizeProcPtr PFNGLPOINTSIZEPROC
#define glPollAsyncSGIXProcPtr PFNGLPOLLASYNCSGIXPROC
#define glPollInstrumentsSGIXProcPtr PFNGLPOLLINSTRUMENTSSGIXPROC
#define glPolygonModeProcPtr PFNGLPOLYGONMODEPROC
#define glPolygonOffsetEXTProcPtr PFNGLPOLYGONOFFSETEXTPROC
#define glPolygonOffsetProcPtr PFNGLPOLYGONOFFSETPROC
#define glPolygonStippleProcPtr PFNGLPOLYGONSTIPPLEPROC
#define glPopAttribProcPtr PFNGLPOPATTRIBPROC
#define glPopClientAttribProcPtr PFNGLPOPCLIENTATTRIBPROC
#define glPopMatrixProcPtr PFNGLPOPMATRIXPROC
#define glPopNameProcPtr PFNGLPOPNAMEPROC
#define glPrioritizeTexturesEXTProcPtr PFNGLPRIORITIZETEXTURESEXTPROC
#define glPrioritizeTexturesProcPtr PFNGLPRIORITIZETEXTURESPROC
#define glProgramEnvParameter4dARBProcPtr PFNGLPROGRAMENVPARAMETER4DARBPROC
#define glProgramEnvParameter4dvARBProcPtr PFNGLPROGRAMENVPARAMETER4DVARBPROC
#define glProgramEnvParameter4fARBProcPtr PFNGLPROGRAMENVPARAMETER4FARBPROC
#define glProgramEnvParameter4fvARBProcPtr PFNGLPROGRAMENVPARAMETER4FVARBPROC
#define glProgramEnvParameters4fvEXTProcPtr PFNGLPROGRAMENVPARAMETERS4FVEXTPROC
#define glProgramLocalParameter4dARBProcPtr PFNGLPROGRAMLOCALPARAMETER4DARBPROC
#define glProgramLocalParameter4dvARBProcPtr PFNGLPROGRAMLOCALPARAMETER4DVARBPROC
#define glProgramLocalParameter4fARBProcPtr PFNGLPROGRAMLOCALPARAMETER4FARBPROC
#define glProgramLocalParameter4fvARBProcPtr PFNGLPROGRAMLOCALPARAMETER4FVARBPROC
#define glProgramLocalParameters4fvEXTProcPtr PFNGLPROGRAMLOCALPARAMETERS4FVEXTPROC
#define glProgramParameter4dNVProcPtr PFNGLPROGRAMPARAMETER4DNVPROC
#define glProgramParameter4dvNVProcPtr PFNGLPROGRAMPARAMETER4DVNVPROC
#define glProgramParameter4fNVProcPtr PFNGLPROGRAMPARAMETER4FNVPROC
#define glProgramParameter4fvNVProcPtr PFNGLPROGRAMPARAMETER4FVNVPROC
#define glProgramParameteriEXTProcPtr PFNGLPROGRAMPARAMETERIEXTPROC
#define glProgramParameters4dvNVProcPtr PFNGLPROGRAMPARAMETERS4DVNVPROC
#define glProgramParameters4fvNVProcPtr PFNGLPROGRAMPARAMETERS4FVNVPROC
#define glProgramStringARBProcPtr PFNGLPROGRAMSTRINGARBPROC
#define glProvokingVertexEXTProcPtr PFNGLPROVOKINGVERTEXEXTPROC
#define glPushAttribProcPtr PFNGLPUSHATTRIBPROC
#define glPushClientAttribProcPtr PFNGLPUSHCLIENTATTRIBPROC
#define glPushMatrixProcPtr PFNGLPUSHMATRIXPROC
#define glPushNameProcPtr PFNGLPUSHNAMEPROC
#define glRasterPos2dProcPtr PFNGLRASTERPOS2DPROC
#define glRasterPos2dvProcPtr PFNGLRASTERPOS2DVPROC
#define glRasterPos2fProcPtr PFNGLRASTERPOS2FPROC
#define glRasterPos2fvProcPtr PFNGLRASTERPOS2FVPROC
#define glRasterPos2iProcPtr PFNGLRASTERPOS2IPROC
#define glRasterPos2ivProcPtr PFNGLRASTERPOS2IVPROC
#define glRasterPos2sProcPtr PFNGLRASTERPOS2SPROC
#define glRasterPos2svProcPtr PFNGLRASTERPOS2SVPROC
#define glRasterPos3dProcPtr PFNGLRASTERPOS3DPROC
#define glRasterPos3dvProcPtr PFNGLRASTERPOS3DVPROC
#define glRasterPos3fProcPtr PFNGLRASTERPOS3FPROC
#define glRasterPos3fvProcPtr PFNGLRASTERPOS3FVPROC
#define glRasterPos3iProcPtr PFNGLRASTERPOS3IPROC
#define glRasterPos3ivProcPtr PFNGLRASTERPOS3IVPROC
#define glRasterPos3sProcPtr PFNGLRASTERPOS3SPROC
#define glRasterPos3svProcPtr PFNGLRASTERPOS3SVPROC
#define glRasterPos4dProcPtr PFNGLRASTERPOS4DPROC
#define glRasterPos4dvProcPtr PFNGLRASTERPOS4DVPROC
#define glRasterPos4fProcPtr PFNGLRASTERPOS4FPROC
#define glRasterPos4fvProcPtr PFNGLRASTERPOS4FVPROC
#define glRasterPos4iProcPtr PFNGLRASTERPOS4IPROC
#define glRasterPos4ivProcPtr PFNGLRASTERPOS4IVPROC
#define glRasterPos4sProcPtr PFNGLRASTERPOS4SPROC
#define glRasterPos4svProcPtr PFNGLRASTERPOS4SVPROC
#define glReadBufferProcPtr PFNGLREADBUFFERPROC
#define glReadInstrumentsSGIXProcPtr PFNGLREADINSTRUMENTSSGIXPROC
#define glReadPixelsProcPtr PFNGLREADPIXELSPROC
#define glRectdProcPtr PFNGLRECTDPROC
#define glRectdvProcPtr PFNGLRECTDVPROC
#define glRectfProcPtr PFNGLRECTFPROC
#define glRectfvProcPtr PFNGLRECTFVPROC
#define glRectiProcPtr PFNGLRECTIPROC
#define glRectivProcPtr PFNGLRECTIVPROC
#define glRectsProcPtr PFNGLRECTSPROC
#define glRectsvProcPtr PFNGLRECTSVPROC
#define glReferencePlaneSGIXProcPtr PFNGLREFERENCEPLANESGIXPROC
#define glRenderModeProcPtr PFNGLRENDERMODEPROC
#define glRenderbufferStorageEXTProcPtr PFNGLRENDERBUFFERSTORAGEEXTPROC
#define glRenderbufferStorageMultisampleEXTProcPtr PFNGLRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC
#define glRenderbufferStorageMultisampleProcPtr PFNGLRENDERBUFFERSTORAGEMULTISAMPLEPROC
#define glRenderbufferStorageProcPtr PFNGLRENDERBUFFERSTORAGEPROC
#define glReplacementCodePointerSUNProcPtr PFNGLREPLACEMENTCODEPOINTERSUNPROC
#define glReplacementCodeubSUNProcPtr PFNGLREPLACEMENTCODEUBSUNPROC
#define glReplacementCodeubvSUNProcPtr PFNGLREPLACEMENTCODEUBVSUNPROC
#define glReplacementCodeuiColor3fVertex3fSUNProcPtr PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FSUNPROC
#define glReplacementCodeuiColor3fVertex3fvSUNProcPtr PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FVSUNPROC
#define glReplacementCodeuiColor4fNormal3fVertex3fSUNProcPtr PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FSUNPROC
#define glReplacementCodeuiColor4fNormal3fVertex3fvSUNProcPtr PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FVSUNPROC
#define glReplacementCodeuiColor4ubVertex3fSUNProcPtr PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FSUNPROC
#define glReplacementCodeuiColor4ubVertex3fvSUNProcPtr PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FVSUNPROC
#define glReplacementCodeuiNormal3fVertex3fSUNProcPtr PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FSUNPROC
#define glReplacementCodeuiNormal3fVertex3fvSUNProcPtr PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FVSUNPROC
#define glReplacementCodeuiSUNProcPtr PFNGLREPLACEMENTCODEUISUNPROC
#define glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUNProcPtr PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC
#define glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUNProcPtr PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC
#define glReplacementCodeuiTexCoord2fNormal3fVertex3fSUNProcPtr PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FSUNPROC
#define glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUNProcPtr PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FVSUNPROC
#define glReplacementCodeuiTexCoord2fVertex3fSUNProcPtr PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FSUNPROC
#define glReplacementCodeuiTexCoord2fVertex3fvSUNProcPtr PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FVSUNPROC
#define glReplacementCodeuiVertex3fSUNProcPtr PFNGLREPLACEMENTCODEUIVERTEX3FSUNPROC
#define glReplacementCodeuiVertex3fvSUNProcPtr PFNGLREPLACEMENTCODEUIVERTEX3FVSUNPROC
#define glReplacementCodeuivSUNProcPtr PFNGLREPLACEMENTCODEUIVSUNPROC
#define glReplacementCodeusSUNProcPtr PFNGLREPLACEMENTCODEUSSUNPROC
#define glReplacementCodeusvSUNProcPtr PFNGLREPLACEMENTCODEUSVSUNPROC
#define glRequestResidentProgramsNVProcPtr PFNGLREQUESTRESIDENTPROGRAMSNVPROC
#define glResetHistogramEXTProcPtr PFNGLRESETHISTOGRAMEXTPROC
#define glResetHistogramProcPtr PFNGLRESETHISTOGRAMPROC
#define glResetMinmaxEXTProcPtr PFNGLRESETMINMAXEXTPROC
#define glResetMinmaxProcPtr PFNGLRESETMINMAXPROC
#define glResizeBuffersMESAProcPtr PFNGLRESIZEBUFFERSMESAPROC
#define glRotatedProcPtr PFNGLROTATEDPROC
#define glRotatefProcPtr PFNGLROTATEFPROC
#define glSampleCoverageARBProcPtr PFNGLSAMPLECOVERAGEARBPROC
#define glSampleCoverageProcPtr PFNGLSAMPLECOVERAGEPROC
#define glSampleMapEXTProcPtr PFNGLSAMPLEMAPEXTPROC
#define glSampleMaskEXTProcPtr PFNGLSAMPLEMASKEXTPROC
#define glSampleMaskSGISProcPtr PFNGLSAMPLEMASKSGISPROC
#define glSamplePassARBProcPtr PFNGLSAMPLEPASSARBPROC
#define glSamplePassProcPtr PFNGLSAMPLEPASSPROC
#define glSamplePatternEXTProcPtr PFNGLSAMPLEPATTERNEXTPROC
#define glSamplePatternSGISProcPtr PFNGLSAMPLEPATTERNSGISPROC
#define glScaledProcPtr PFNGLSCALEDPROC
#define glScalefProcPtr PFNGLSCALEFPROC
#define glScissorProcPtr PFNGLSCISSORPROC
#define glSecondaryColor3bEXTProcPtr PFNGLSECONDARYCOLOR3BEXTPROC
#define glSecondaryColor3bProcPtr PFNGLSECONDARYCOLOR3BPROC
#define glSecondaryColor3bvEXTProcPtr PFNGLSECONDARYCOLOR3BVEXTPROC
#define glSecondaryColor3bvProcPtr PFNGLSECONDARYCOLOR3BVPROC
#define glSecondaryColor3dEXTProcPtr PFNGLSECONDARYCOLOR3DEXTPROC
#define glSecondaryColor3dProcPtr PFNGLSECONDARYCOLOR3DPROC
#define glSecondaryColor3dvEXTProcPtr PFNGLSECONDARYCOLOR3DVEXTPROC
#define glSecondaryColor3dvProcPtr PFNGLSECONDARYCOLOR3DVPROC
#define glSecondaryColor3fEXTProcPtr PFNGLSECONDARYCOLOR3FEXTPROC
#define glSecondaryColor3fProcPtr PFNGLSECONDARYCOLOR3FPROC
#define glSecondaryColor3fvEXTProcPtr PFNGLSECONDARYCOLOR3FVEXTPROC
#define glSecondaryColor3fvProcPtr PFNGLSECONDARYCOLOR3FVPROC
#define glSecondaryColor3iEXTProcPtr PFNGLSECONDARYCOLOR3IEXTPROC
#define glSecondaryColor3iProcPtr PFNGLSECONDARYCOLOR3IPROC
#define glSecondaryColor3ivEXTProcPtr PFNGLSECONDARYCOLOR3IVEXTPROC
#define glSecondaryColor3ivProcPtr PFNGLSECONDARYCOLOR3IVPROC
#define glSecondaryColor3sEXTProcPtr PFNGLSECONDARYCOLOR3SEXTPROC
#define glSecondaryColor3sProcPtr PFNGLSECONDARYCOLOR3SPROC
#define glSecondaryColor3svEXTProcPtr PFNGLSECONDARYCOLOR3SVEXTPROC
#define glSecondaryColor3svProcPtr PFNGLSECONDARYCOLOR3SVPROC
#define glSecondaryColor3ubEXTProcPtr PFNGLSECONDARYCOLOR3UBEXTPROC
#define glSecondaryColor3ubProcPtr PFNGLSECONDARYCOLOR3UBPROC
#define glSecondaryColor3ubvEXTProcPtr PFNGLSECONDARYCOLOR3UBVEXTPROC
#define glSecondaryColor3ubvProcPtr PFNGLSECONDARYCOLOR3UBVPROC
#define glSecondaryColor3uiEXTProcPtr PFNGLSECONDARYCOLOR3UIEXTPROC
#define glSecondaryColor3uiProcPtr PFNGLSECONDARYCOLOR3UIPROC
#define glSecondaryColor3uivEXTProcPtr PFNGLSECONDARYCOLOR3UIVEXTPROC
#define glSecondaryColor3uivProcPtr PFNGLSECONDARYCOLOR3UIVPROC
#define glSecondaryColor3usEXTProcPtr PFNGLSECONDARYCOLOR3USEXTPROC
#define glSecondaryColor3usProcPtr PFNGLSECONDARYCOLOR3USPROC
#define glSecondaryColor3usvEXTProcPtr PFNGLSECONDARYCOLOR3USVEXTPROC
#define glSecondaryColor3usvProcPtr PFNGLSECONDARYCOLOR3USVPROC
#define glSecondaryColorPointerEXTProcPtr PFNGLSECONDARYCOLORPOINTEREXTPROC
#define glSecondaryColorPointerListIBMProcPtr PFNGLSECONDARYCOLORPOINTERLISTIBMPROC
#define glSecondaryColorPointerProcPtr PFNGLSECONDARYCOLORPOINTERPROC
#define glSelectBufferProcPtr PFNGLSELECTBUFFERPROC
#define glSeparableFilter2DEXTProcPtr PFNGLSEPARABLEFILTER2DEXTPROC
#define glSeparableFilter2DProcPtr PFNGLSEPARABLEFILTER2DPROC
#define glSetFenceAPPLEProcPtr PFNGLSETFENCEAPPLEPROC
#define glSetFragmentShaderConstantEXTProcPtr PFNGLSETFRAGMENTSHADERCONSTANTEXTPROC
#define glSetInvariantEXTProcPtr PFNGLSETINVARIANTEXTPROC
#define glSetLocalConstantEXTProcPtr PFNGLSETLOCALCONSTANTEXTPROC
#define glShadeModelProcPtr PFNGLSHADEMODELPROC
#define glShaderOp1EXTProcPtr PFNGLSHADEROP1EXTPROC
#define glShaderOp2EXTProcPtr PFNGLSHADEROP2EXTPROC
#define glShaderOp3EXTProcPtr PFNGLSHADEROP3EXTPROC
#define glShaderSourceARBProcPtr PFNGLSHADERSOURCEARBPROC
#define glShaderSourceProcPtr PFNGLSHADERSOURCEPROC
#define glSharpenTexFuncSGISProcPtr PFNGLSHARPENTEXFUNCSGISPROC
#define glSpriteParameterfSGIXProcPtr PFNGLSPRITEPARAMETERFSGIXPROC
#define glSpriteParameterfvSGIXProcPtr PFNGLSPRITEPARAMETERFVSGIXPROC
#define glSpriteParameteriSGIXProcPtr PFNGLSPRITEPARAMETERISGIXPROC
#define glSpriteParameterivSGIXProcPtr PFNGLSPRITEPARAMETERIVSGIXPROC
#define glStartInstrumentsSGIXProcPtr PFNGLSTARTINSTRUMENTSSGIXPROC
#define glStencilFuncProcPtr PFNGLSTENCILFUNCPROC
#define glStencilFuncSeparateATIProcPtr PFNGLSTENCILFUNCSEPARATEATIPROC
#define glStencilFuncSeparateProcPtr PFNGLSTENCILFUNCSEPARATEPROC
#define glStencilMaskProcPtr PFNGLSTENCILMASKPROC
#define glStencilMaskSeparateProcPtr PFNGLSTENCILMASKSEPARATEPROC
#define glStencilOpProcPtr PFNGLSTENCILOPPROC
#define glStencilOpSeparateATIProcPtr PFNGLSTENCILOPSEPARATEATIPROC
#define glStencilOpSeparateProcPtr PFNGLSTENCILOPSEPARATEPROC
#define glStopInstrumentsSGIXProcPtr PFNGLSTOPINSTRUMENTSSGIXPROC
#define glSwapAPPLEProcPtr PFNGLSWAPAPPLEPROC
#define glSwizzleEXTProcPtr PFNGLSWIZZLEEXTPROC
#define glTagSampleBufferSGIXProcPtr PFNGLTAGSAMPLEBUFFERSGIXPROC
#define glTangent3bEXTProcPtr PFNGLTANGENT3BEXTPROC
#define glTangent3bvEXTProcPtr PFNGLTANGENT3BVEXTPROC
#define glTangent3dEXTProcPtr PFNGLTANGENT3DEXTPROC
#define glTangent3dvEXTProcPtr PFNGLTANGENT3DVEXTPROC
#define glTangent3fEXTProcPtr PFNGLTANGENT3FEXTPROC
#define glTangent3fvEXTProcPtr PFNGLTANGENT3FVEXTPROC
#define glTangent3iEXTProcPtr PFNGLTANGENT3IEXTPROC
#define glTangent3ivEXTProcPtr PFNGLTANGENT3IVEXTPROC
#define glTangent3sEXTProcPtr PFNGLTANGENT3SEXTPROC
#define glTangent3svEXTProcPtr PFNGLTANGENT3SVEXTPROC
#define glTangentPointerEXTProcPtr PFNGLTANGENTPOINTEREXTPROC
#define glTbufferMask3DFXProcPtr PFNGLTBUFFERMASK3DFXPROC
#define glTestFenceAPPLEProcPtr PFNGLTESTFENCEAPPLEPROC
#define glTestObjectAPPLEProcPtr PFNGLTESTOBJECTAPPLEPROC
#define glTexCoord1dProcPtr PFNGLTEXCOORD1DPROC
#define glTexCoord1dvProcPtr PFNGLTEXCOORD1DVPROC
#define glTexCoord1fProcPtr PFNGLTEXCOORD1FPROC
#define glTexCoord1fvProcPtr PFNGLTEXCOORD1FVPROC
#define glTexCoord1iProcPtr PFNGLTEXCOORD1IPROC
#define glTexCoord1ivProcPtr PFNGLTEXCOORD1IVPROC
#define glTexCoord1sProcPtr PFNGLTEXCOORD1SPROC
#define glTexCoord1svProcPtr PFNGLTEXCOORD1SVPROC
#define glTexCoord2dProcPtr PFNGLTEXCOORD2DPROC
#define glTexCoord2dvProcPtr PFNGLTEXCOORD2DVPROC
#define glTexCoord2fColor3fVertex3fSUNProcPtr PFNGLTEXCOORD2FCOLOR3FVERTEX3FSUNPROC
#define glTexCoord2fColor3fVertex3fvSUNProcPtr PFNGLTEXCOORD2FCOLOR3FVERTEX3FVSUNPROC
#define glTexCoord2fColor4fNormal3fVertex3fSUNProcPtr PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC
#define glTexCoord2fColor4fNormal3fVertex3fvSUNProcPtr PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC
#define glTexCoord2fColor4ubVertex3fSUNProcPtr PFNGLTEXCOORD2FCOLOR4UBVERTEX3FSUNPROC
#define glTexCoord2fColor4ubVertex3fvSUNProcPtr PFNGLTEXCOORD2FCOLOR4UBVERTEX3FVSUNPROC
#define glTexCoord2fNormal3fVertex3fSUNProcPtr PFNGLTEXCOORD2FNORMAL3FVERTEX3FSUNPROC
#define glTexCoord2fNormal3fVertex3fvSUNProcPtr PFNGLTEXCOORD2FNORMAL3FVERTEX3FVSUNPROC
#define glTexCoord2fProcPtr PFNGLTEXCOORD2FPROC
#define glTexCoord2fVertex3fSUNProcPtr PFNGLTEXCOORD2FVERTEX3FSUNPROC
#define glTexCoord2fVertex3fvSUNProcPtr PFNGLTEXCOORD2FVERTEX3FVSUNPROC
#define glTexCoord2fvProcPtr PFNGLTEXCOORD2FVPROC
#define glTexCoord2iProcPtr PFNGLTEXCOORD2IPROC
#define glTexCoord2ivProcPtr PFNGLTEXCOORD2IVPROC
#define glTexCoord2sProcPtr PFNGLTEXCOORD2SPROC
#define glTexCoord2svProcPtr PFNGLTEXCOORD2SVPROC
#define glTexCoord3dProcPtr PFNGLTEXCOORD3DPROC
#define glTexCoord3dvProcPtr PFNGLTEXCOORD3DVPROC
#define glTexCoord3fProcPtr PFNGLTEXCOORD3FPROC
#define glTexCoord3fvProcPtr PFNGLTEXCOORD3FVPROC
#define glTexCoord3iProcPtr PFNGLTEXCOORD3IPROC
#define glTexCoord3ivProcPtr PFNGLTEXCOORD3IVPROC
#define glTexCoord3sProcPtr PFNGLTEXCOORD3SPROC
#define glTexCoord3svProcPtr PFNGLTEXCOORD3SVPROC
#define glTexCoord4dProcPtr PFNGLTEXCOORD4DPROC
#define glTexCoord4dvProcPtr PFNGLTEXCOORD4DVPROC
#define glTexCoord4fColor4fNormal3fVertex4fSUNProcPtr PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FSUNPROC
#define glTexCoord4fColor4fNormal3fVertex4fvSUNProcPtr PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FVSUNPROC
#define glTexCoord4fProcPtr PFNGLTEXCOORD4FPROC
#define glTexCoord4fVertex4fSUNProcPtr PFNGLTEXCOORD4FVERTEX4FSUNPROC
#define glTexCoord4fVertex4fvSUNProcPtr PFNGLTEXCOORD4FVERTEX4FVSUNPROC
#define glTexCoord4fvProcPtr PFNGLTEXCOORD4FVPROC
#define glTexCoord4iProcPtr PFNGLTEXCOORD4IPROC
#define glTexCoord4ivProcPtr PFNGLTEXCOORD4IVPROC
#define glTexCoord4sProcPtr PFNGLTEXCOORD4SPROC
#define glTexCoord4svProcPtr PFNGLTEXCOORD4SVPROC
#define glTexCoordPointerEXTProcPtr PFNGLTEXCOORDPOINTEREXTPROC
#define glTexCoordPointerListIBMProcPtr PFNGLTEXCOORDPOINTERLISTIBMPROC
#define glTexCoordPointerProcPtr PFNGLTEXCOORDPOINTERPROC
#define glTexCoordPointervINTELProcPtr PFNGLTEXCOORDPOINTERVINTELPROC
#define glTexEnvfProcPtr PFNGLTEXENVFPROC
#define glTexEnvfvProcPtr PFNGLTEXENVFVPROC
#define glTexEnviProcPtr PFNGLTEXENVIPROC
#define glTexEnvivProcPtr PFNGLTEXENVIVPROC
#define glTexFilterFuncSGISProcPtr PFNGLTEXFILTERFUNCSGISPROC
#define glTexGendProcPtr PFNGLTEXGENDPROC
#define glTexGendvProcPtr PFNGLTEXGENDVPROC
#define glTexGenfProcPtr PFNGLTEXGENFPROC
#define glTexGenfvProcPtr PFNGLTEXGENFVPROC
#define glTexGeniProcPtr PFNGLTEXGENIPROC
#define glTexGenivProcPtr PFNGLTEXGENIVPROC
#define glTexImage1DProcPtr PFNGLTEXIMAGE1DPROC
#define glTexImage2DProcPtr PFNGLTEXIMAGE2DPROC
#define glTexImage3DEXTProcPtr PFNGLTEXIMAGE3DEXTPROC
#define glTexImage3DProcPtr PFNGLTEXIMAGE3DPROC
#define glTexImage4DSGISProcPtr PFNGLTEXIMAGE4DSGISPROC
#define glTexParameterIivEXTProcPtr PFNGLTEXPARAMETERIIVEXTPROC
#define glTexParameterIuivEXTProcPtr PFNGLTEXPARAMETERIUIVEXTPROC
#define glTexParameterfProcPtr PFNGLTEXPARAMETERFPROC
#define glTexParameterfvProcPtr PFNGLTEXPARAMETERFVPROC
#define glTexParameteriProcPtr PFNGLTEXPARAMETERIPROC
#define glTexParameterivProcPtr PFNGLTEXPARAMETERIVPROC
#define glTexSubImage1DEXTProcPtr PFNGLTEXSUBIMAGE1DEXTPROC
#define glTexSubImage1DProcPtr PFNGLTEXSUBIMAGE1DPROC
#define glTexSubImage2DEXTProcPtr PFNGLTEXSUBIMAGE2DEXTPROC
#define glTexSubImage2DProcPtr PFNGLTEXSUBIMAGE2DPROC
#define glTexSubImage3DEXTProcPtr PFNGLTEXSUBIMAGE3DEXTPROC
#define glTexSubImage3DProcPtr PFNGLTEXSUBIMAGE3DPROC
#define glTexSubImage4DSGISProcPtr PFNGLTEXSUBIMAGE4DSGISPROC
#define glTextureColorMaskSGISProcPtr PFNGLTEXTURECOLORMASKSGISPROC
#define glTextureLightEXTProcPtr PFNGLTEXTURELIGHTEXTPROC
#define glTextureMaterialEXTProcPtr PFNGLTEXTUREMATERIALEXTPROC
#define glTextureNormalEXTProcPtr PFNGLTEXTURENORMALEXTPROC
#define glTextureRangeAPPLEProcPtr PFNGLTEXTURERANGEAPPLEPROC
#define glTrackMatrixNVProcPtr PFNGLTRACKMATRIXNVPROC
#define glTransformFeedbackVaryingsEXTProcPtr PFNGLTRANSFORMFEEDBACKVARYINGSEXTPROC
#define glTranslatedProcPtr PFNGLTRANSLATEDPROC
#define glTranslatefProcPtr PFNGLTRANSLATEFPROC
#define glUniform1fARBProcPtr PFNGLUNIFORM1FARBPROC
#define glUniform1fProcPtr PFNGLUNIFORM1FPROC
#define glUniform1fvARBProcPtr PFNGLUNIFORM1FVARBPROC
#define glUniform1fvProcPtr PFNGLUNIFORM1FVPROC
#define glUniform1iARBProcPtr PFNGLUNIFORM1IARBPROC
#define glUniform1iProcPtr PFNGLUNIFORM1IPROC
#define glUniform1ivARBProcPtr PFNGLUNIFORM1IVARBPROC
#define glUniform1ivProcPtr PFNGLUNIFORM1IVPROC
#define glUniform1uiEXTProcPtr PFNGLUNIFORM1UIEXTPROC
#define glUniform1uivEXTProcPtr PFNGLUNIFORM1UIVEXTPROC
#define glUniform2fARBProcPtr PFNGLUNIFORM2FARBPROC
#define glUniform2fProcPtr PFNGLUNIFORM2FPROC
#define glUniform2fvARBProcPtr PFNGLUNIFORM2FVARBPROC
#define glUniform2fvProcPtr PFNGLUNIFORM2FVPROC
#define glUniform2iARBProcPtr PFNGLUNIFORM2IARBPROC
#define glUniform2iProcPtr PFNGLUNIFORM2IPROC
#define glUniform2ivARBProcPtr PFNGLUNIFORM2IVARBPROC
#define glUniform2ivProcPtr PFNGLUNIFORM2IVPROC
#define glUniform2uiEXTProcPtr PFNGLUNIFORM2UIEXTPROC
#define glUniform2uivEXTProcPtr PFNGLUNIFORM2UIVEXTPROC
#define glUniform3fARBProcPtr PFNGLUNIFORM3FARBPROC
#define glUniform3fProcPtr PFNGLUNIFORM3FPROC
#define glUniform3fvARBProcPtr PFNGLUNIFORM3FVARBPROC
#define glUniform3fvProcPtr PFNGLUNIFORM3FVPROC
#define glUniform3iARBProcPtr PFNGLUNIFORM3IARBPROC
#define glUniform3iProcPtr PFNGLUNIFORM3IPROC
#define glUniform3ivARBProcPtr PFNGLUNIFORM3IVARBPROC
#define glUniform3ivProcPtr PFNGLUNIFORM3IVPROC
#define glUniform3uiEXTProcPtr PFNGLUNIFORM3UIEXTPROC
#define glUniform3uivEXTProcPtr PFNGLUNIFORM3UIVEXTPROC
#define glUniform4fARBProcPtr PFNGLUNIFORM4FARBPROC
#define glUniform4fProcPtr PFNGLUNIFORM4FPROC
#define glUniform4fvARBProcPtr PFNGLUNIFORM4FVARBPROC
#define glUniform4fvProcPtr PFNGLUNIFORM4FVPROC
#define glUniform4iARBProcPtr PFNGLUNIFORM4IARBPROC
#define glUniform4iProcPtr PFNGLUNIFORM4IPROC
#define glUniform4ivARBProcPtr PFNGLUNIFORM4IVARBPROC
#define glUniform4ivProcPtr PFNGLUNIFORM4IVPROC
#define glUniform4uiEXTProcPtr PFNGLUNIFORM4UIEXTPROC
#define glUniform4uivEXTProcPtr PFNGLUNIFORM4UIVEXTPROC
#define glUniformBlockBindingProcPtr PFNGLUNIFORMBLOCKBINDINGPROC
#define glUniformBufferEXTProcPtr PFNGLUNIFORMBUFFEREXTPROC
#define glUniformMatrix2fvARBProcPtr PFNGLUNIFORMMATRIX2FVARBPROC
#define glUniformMatrix2fvProcPtr PFNGLUNIFORMMATRIX2FVPROC
#define glUniformMatrix2x3fvProcPtr PFNGLUNIFORMMATRIX2X3FVPROC
#define glUniformMatrix2x4fvProcPtr PFNGLUNIFORMMATRIX2X4FVPROC
#define glUniformMatrix3fvARBProcPtr PFNGLUNIFORMMATRIX3FVARBPROC
#define glUniformMatrix3fvProcPtr PFNGLUNIFORMMATRIX3FVPROC
#define glUniformMatrix3x2fvProcPtr PFNGLUNIFORMMATRIX3X2FVPROC
#define glUniformMatrix3x4fvProcPtr PFNGLUNIFORMMATRIX3X4FVPROC
#define glUniformMatrix4fvARBProcPtr PFNGLUNIFORMMATRIX4FVARBPROC
#define glUniformMatrix4fvProcPtr PFNGLUNIFORMMATRIX4FVPROC
#define glUniformMatrix4x2fvProcPtr PFNGLUNIFORMMATRIX4X2FVPROC
#define glUniformMatrix4x3fvProcPtr PFNGLUNIFORMMATRIX4X3FVPROC
#define glUnlockArraysEXTProcPtr PFNGLUNLOCKARRAYSEXTPROC
#define glUnmapBufferARBProcPtr PFNGLUNMAPBUFFERARBPROC
#define glUnmapBufferProcPtr PFNGLUNMAPBUFFERPROC
#define glUseProgramObjectARBProcPtr PFNGLUSEPROGRAMOBJECTARBPROC
#define glUseProgramProcPtr PFNGLUSEPROGRAMPROC
#define glValidateProgramARBProcPtr PFNGLVALIDATEPROGRAMARBPROC
#define glValidateProgramProcPtr PFNGLVALIDATEPROGRAMPROC
#define glVariantPointerEXTProcPtr PFNGLVARIANTPOINTEREXTPROC
#define glVariantbvEXTProcPtr PFNGLVARIANTBVEXTPROC
#define glVariantdvEXTProcPtr PFNGLVARIANTDVEXTPROC
#define glVariantfvEXTProcPtr PFNGLVARIANTFVEXTPROC
#define glVariantivEXTProcPtr PFNGLVARIANTIVEXTPROC
#define glVariantsvEXTProcPtr PFNGLVARIANTSVEXTPROC
#define glVariantubvEXTProcPtr PFNGLVARIANTUBVEXTPROC
#define glVariantuivEXTProcPtr PFNGLVARIANTUIVEXTPROC
#define glVariantusvEXTProcPtr PFNGLVARIANTUSVEXTPROC
#define glVertex2dProcPtr PFNGLVERTEX2DPROC
#define glVertex2dvProcPtr PFNGLVERTEX2DVPROC
#define glVertex2fProcPtr PFNGLVERTEX2FPROC
#define glVertex2fvProcPtr PFNGLVERTEX2FVPROC
#define glVertex2iProcPtr PFNGLVERTEX2IPROC
#define glVertex2ivProcPtr PFNGLVERTEX2IVPROC
#define glVertex2sProcPtr PFNGLVERTEX2SPROC
#define glVertex2svProcPtr PFNGLVERTEX2SVPROC
#define glVertex3dProcPtr PFNGLVERTEX3DPROC
#define glVertex3dvProcPtr PFNGLVERTEX3DVPROC
#define glVertex3fProcPtr PFNGLVERTEX3FPROC
#define glVertex3fvProcPtr PFNGLVERTEX3FVPROC
#define glVertex3iProcPtr PFNGLVERTEX3IPROC
#define glVertex3ivProcPtr PFNGLVERTEX3IVPROC
#define glVertex3sProcPtr PFNGLVERTEX3SPROC
#define glVertex3svProcPtr PFNGLVERTEX3SVPROC
#define glVertex4dProcPtr PFNGLVERTEX4DPROC
#define glVertex4dvProcPtr PFNGLVERTEX4DVPROC
#define glVertex4fProcPtr PFNGLVERTEX4FPROC
#define glVertex4fvProcPtr PFNGLVERTEX4FVPROC
#define glVertex4iProcPtr PFNGLVERTEX4IPROC
#define glVertex4ivProcPtr PFNGLVERTEX4IVPROC
#define glVertex4sProcPtr PFNGLVERTEX4SPROC
#define glVertex4svProcPtr PFNGLVERTEX4SVPROC
#define glVertexArrayParameteriAPPLEProcPtr PFNGLVERTEXARRAYPARAMETERIAPPLEPROC
#define glVertexArrayRangeAPPLEProcPtr PFNGLVERTEXARRAYRANGEAPPLEPROC
#define glVertexArrayRangeNVProcPtr PFNGLVERTEXARRAYRANGENVPROC
#define glVertexAttrib1dARBProcPtr PFNGLVERTEXATTRIB1DARBPROC
#define glVertexAttrib1dNVProcPtr PFNGLVERTEXATTRIB1DNVPROC
#define glVertexAttrib1dProcPtr PFNGLVERTEXATTRIB1DPROC
#define glVertexAttrib1dvARBProcPtr PFNGLVERTEXATTRIB1DVARBPROC
#define glVertexAttrib1dvNVProcPtr PFNGLVERTEXATTRIB1DVNVPROC
#define glVertexAttrib1dvProcPtr PFNGLVERTEXATTRIB1DVPROC
#define glVertexAttrib1fARBProcPtr PFNGLVERTEXATTRIB1FARBPROC
#define glVertexAttrib1fNVProcPtr PFNGLVERTEXATTRIB1FNVPROC
#define glVertexAttrib1fProcPtr PFNGLVERTEXATTRIB1FPROC
#define glVertexAttrib1fvARBProcPtr PFNGLVERTEXATTRIB1FVARBPROC
#define glVertexAttrib1fvNVProcPtr PFNGLVERTEXATTRIB1FVNVPROC
#define glVertexAttrib1fvProcPtr PFNGLVERTEXATTRIB1FVPROC
#define glVertexAttrib1sARBProcPtr PFNGLVERTEXATTRIB1SARBPROC
#define glVertexAttrib1sNVProcPtr PFNGLVERTEXATTRIB1SNVPROC
#define glVertexAttrib1sProcPtr PFNGLVERTEXATTRIB1SPROC
#define glVertexAttrib1svARBProcPtr PFNGLVERTEXATTRIB1SVARBPROC
#define glVertexAttrib1svNVProcPtr PFNGLVERTEXATTRIB1SVNVPROC
#define glVertexAttrib1svProcPtr PFNGLVERTEXATTRIB1SVPROC
#define glVertexAttrib2dARBProcPtr PFNGLVERTEXATTRIB2DARBPROC
#define glVertexAttrib2dNVProcPtr PFNGLVERTEXATTRIB2DNVPROC
#define glVertexAttrib2dProcPtr PFNGLVERTEXATTRIB2DPROC
#define glVertexAttrib2dvARBProcPtr PFNGLVERTEXATTRIB2DVARBPROC
#define glVertexAttrib2dvNVProcPtr PFNGLVERTEXATTRIB2DVNVPROC
#define glVertexAttrib2dvProcPtr PFNGLVERTEXATTRIB2DVPROC
#define glVertexAttrib2fARBProcPtr PFNGLVERTEXATTRIB2FARBPROC
#define glVertexAttrib2fNVProcPtr PFNGLVERTEXATTRIB2FNVPROC
#define glVertexAttrib2fProcPtr PFNGLVERTEXATTRIB2FPROC
#define glVertexAttrib2fvARBProcPtr PFNGLVERTEXATTRIB2FVARBPROC
#define glVertexAttrib2fvNVProcPtr PFNGLVERTEXATTRIB2FVNVPROC
#define glVertexAttrib2fvProcPtr PFNGLVERTEXATTRIB2FVPROC
#define glVertexAttrib2sARBProcPtr PFNGLVERTEXATTRIB2SARBPROC
#define glVertexAttrib2sNVProcPtr PFNGLVERTEXATTRIB2SNVPROC
#define glVertexAttrib2sProcPtr PFNGLVERTEXATTRIB2SPROC
#define glVertexAttrib2svARBProcPtr PFNGLVERTEXATTRIB2SVARBPROC
#define glVertexAttrib2svNVProcPtr PFNGLVERTEXATTRIB2SVNVPROC
#define glVertexAttrib2svProcPtr PFNGLVERTEXATTRIB2SVPROC
#define glVertexAttrib3dARBProcPtr PFNGLVERTEXATTRIB3DARBPROC
#define glVertexAttrib3dNVProcPtr PFNGLVERTEXATTRIB3DNVPROC
#define glVertexAttrib3dProcPtr PFNGLVERTEXATTRIB3DPROC
#define glVertexAttrib3dvARBProcPtr PFNGLVERTEXATTRIB3DVARBPROC
#define glVertexAttrib3dvNVProcPtr PFNGLVERTEXATTRIB3DVNVPROC
#define glVertexAttrib3dvProcPtr PFNGLVERTEXATTRIB3DVPROC
#define glVertexAttrib3fARBProcPtr PFNGLVERTEXATTRIB3FARBPROC
#define glVertexAttrib3fNVProcPtr PFNGLVERTEXATTRIB3FNVPROC
#define glVertexAttrib3fProcPtr PFNGLVERTEXATTRIB3FPROC
#define glVertexAttrib3fvARBProcPtr PFNGLVERTEXATTRIB3FVARBPROC
#define glVertexAttrib3fvNVProcPtr PFNGLVERTEXATTRIB3FVNVPROC
#define glVertexAttrib3fvProcPtr PFNGLVERTEXATTRIB3FVPROC
#define glVertexAttrib3sARBProcPtr PFNGLVERTEXATTRIB3SARBPROC
#define glVertexAttrib3sNVProcPtr PFNGLVERTEXATTRIB3SNVPROC
#define glVertexAttrib3sProcPtr PFNGLVERTEXATTRIB3SPROC
#define glVertexAttrib3svARBProcPtr PFNGLVERTEXATTRIB3SVARBPROC
#define glVertexAttrib3svNVProcPtr PFNGLVERTEXATTRIB3SVNVPROC
#define glVertexAttrib3svProcPtr PFNGLVERTEXATTRIB3SVPROC
#define glVertexAttrib4NbvARBProcPtr PFNGLVERTEXATTRIB4NBVARBPROC
#define glVertexAttrib4NbvProcPtr PFNGLVERTEXATTRIB4NBVPROC
#define glVertexAttrib4NivARBProcPtr PFNGLVERTEXATTRIB4NIVARBPROC
#define glVertexAttrib4NivProcPtr PFNGLVERTEXATTRIB4NIVPROC
#define glVertexAttrib4NsvARBProcPtr PFNGLVERTEXATTRIB4NSVARBPROC
#define glVertexAttrib4NsvProcPtr PFNGLVERTEXATTRIB4NSVPROC
#define glVertexAttrib4NubARBProcPtr PFNGLVERTEXATTRIB4NUBARBPROC
#define glVertexAttrib4NubProcPtr PFNGLVERTEXATTRIB4NUBPROC
#define glVertexAttrib4NubvARBProcPtr PFNGLVERTEXATTRIB4NUBVARBPROC
#define glVertexAttrib4NubvProcPtr PFNGLVERTEXATTRIB4NUBVPROC
#define glVertexAttrib4NuivARBProcPtr PFNGLVERTEXATTRIB4NUIVARBPROC
#define glVertexAttrib4NuivProcPtr PFNGLVERTEXATTRIB4NUIVPROC
#define glVertexAttrib4NusvARBProcPtr PFNGLVERTEXATTRIB4NUSVARBPROC
#define glVertexAttrib4NusvProcPtr PFNGLVERTEXATTRIB4NUSVPROC
#define glVertexAttrib4bvARBProcPtr PFNGLVERTEXATTRIB4BVARBPROC
#define glVertexAttrib4bvProcPtr PFNGLVERTEXATTRIB4BVPROC
#define glVertexAttrib4dARBProcPtr PFNGLVERTEXATTRIB4DARBPROC
#define glVertexAttrib4dNVProcPtr PFNGLVERTEXATTRIB4DNVPROC
#define glVertexAttrib4dProcPtr PFNGLVERTEXATTRIB4DPROC
#define glVertexAttrib4dvARBProcPtr PFNGLVERTEXATTRIB4DVARBPROC
#define glVertexAttrib4dvNVProcPtr PFNGLVERTEXATTRIB4DVNVPROC
#define glVertexAttrib4dvProcPtr PFNGLVERTEXATTRIB4DVPROC
#define glVertexAttrib4fARBProcPtr PFNGLVERTEXATTRIB4FARBPROC
#define glVertexAttrib4fNVProcPtr PFNGLVERTEXATTRIB4FNVPROC
#define glVertexAttrib4fProcPtr PFNGLVERTEXATTRIB4FPROC
#define glVertexAttrib4fvARBProcPtr PFNGLVERTEXATTRIB4FVARBPROC
#define glVertexAttrib4fvNVProcPtr PFNGLVERTEXATTRIB4FVNVPROC
#define glVertexAttrib4fvProcPtr PFNGLVERTEXATTRIB4FVPROC
#define glVertexAttrib4ivARBProcPtr PFNGLVERTEXATTRIB4IVARBPROC
#define glVertexAttrib4ivProcPtr PFNGLVERTEXATTRIB4IVPROC
#define glVertexAttrib4sARBProcPtr PFNGLVERTEXATTRIB4SARBPROC
#define glVertexAttrib4sNVProcPtr PFNGLVERTEXATTRIB4SNVPROC
#define glVertexAttrib4sProcPtr PFNGLVERTEXATTRIB4SPROC
#define glVertexAttrib4svARBProcPtr PFNGLVERTEXATTRIB4SVARBPROC
#define glVertexAttrib4svNVProcPtr PFNGLVERTEXATTRIB4SVNVPROC
#define glVertexAttrib4svProcPtr PFNGLVERTEXATTRIB4SVPROC
#define glVertexAttrib4ubNVProcPtr PFNGLVERTEXATTRIB4UBNVPROC
#define glVertexAttrib4ubvARBProcPtr PFNGLVERTEXATTRIB4UBVARBPROC
#define glVertexAttrib4ubvNVProcPtr PFNGLVERTEXATTRIB4UBVNVPROC
#define glVertexAttrib4ubvProcPtr PFNGLVERTEXATTRIB4UBVPROC
#define glVertexAttrib4uivARBProcPtr PFNGLVERTEXATTRIB4UIVARBPROC
#define glVertexAttrib4uivProcPtr PFNGLVERTEXATTRIB4UIVPROC
#define glVertexAttrib4usvARBProcPtr PFNGLVERTEXATTRIB4USVARBPROC
#define glVertexAttrib4usvProcPtr PFNGLVERTEXATTRIB4USVPROC
#define glVertexAttribDivisorARBProcPtr PFNGLVERTEXATTRIBDIVISORARBPROC
#define glVertexAttribI1iEXTProcPtr PFNGLVERTEXATTRIBI1IEXTPROC
#define glVertexAttribI1ivEXTProcPtr PFNGLVERTEXATTRIBI1IVEXTPROC
#define glVertexAttribI1uiEXTProcPtr PFNGLVERTEXATTRIBI1UIEXTPROC
#define glVertexAttribI1uivEXTProcPtr PFNGLVERTEXATTRIBI1UIVEXTPROC
#define glVertexAttribI2iEXTProcPtr PFNGLVERTEXATTRIBI2IEXTPROC
#define glVertexAttribI2ivEXTProcPtr PFNGLVERTEXATTRIBI2IVEXTPROC
#define glVertexAttribI2uiEXTProcPtr PFNGLVERTEXATTRIBI2UIEXTPROC
#define glVertexAttribI2uivEXTProcPtr PFNGLVERTEXATTRIBI2UIVEXTPROC
#define glVertexAttribI3iEXTProcPtr PFNGLVERTEXATTRIBI3IEXTPROC
#define glVertexAttribI3ivEXTProcPtr PFNGLVERTEXATTRIBI3IVEXTPROC
#define glVertexAttribI3uiEXTProcPtr PFNGLVERTEXATTRIBI3UIEXTPROC
#define glVertexAttribI3uivEXTProcPtr PFNGLVERTEXATTRIBI3UIVEXTPROC
#define glVertexAttribI4bvEXTProcPtr PFNGLVERTEXATTRIBI4BVEXTPROC
#define glVertexAttribI4iEXTProcPtr PFNGLVERTEXATTRIBI4IEXTPROC
#define glVertexAttribI4ivEXTProcPtr PFNGLVERTEXATTRIBI4IVEXTPROC
#define glVertexAttribI4svEXTProcPtr PFNGLVERTEXATTRIBI4SVEXTPROC
#define glVertexAttribI4ubvEXTProcPtr PFNGLVERTEXATTRIBI4UBVEXTPROC
#define glVertexAttribI4uiEXTProcPtr PFNGLVERTEXATTRIBI4UIEXTPROC
#define glVertexAttribI4uivEXTProcPtr PFNGLVERTEXATTRIBI4UIVEXTPROC
#define glVertexAttribI4usvEXTProcPtr PFNGLVERTEXATTRIBI4USVEXTPROC
#define glVertexAttribIPointerEXTProcPtr PFNGLVERTEXATTRIBIPOINTEREXTPROC
#define glVertexAttribPointerARBProcPtr PFNGLVERTEXATTRIBPOINTERARBPROC
#define glVertexAttribPointerNVProcPtr PFNGLVERTEXATTRIBPOINTERNVPROC
#define glVertexAttribPointerProcPtr PFNGLVERTEXATTRIBPOINTERPROC
#define glVertexAttribs1dvNVProcPtr PFNGLVERTEXATTRIBS1DVNVPROC
#define glVertexAttribs1fvNVProcPtr PFNGLVERTEXATTRIBS1FVNVPROC
#define glVertexAttribs1svNVProcPtr PFNGLVERTEXATTRIBS1SVNVPROC
#define glVertexAttribs2dvNVProcPtr PFNGLVERTEXATTRIBS2DVNVPROC
#define glVertexAttribs2fvNVProcPtr PFNGLVERTEXATTRIBS2FVNVPROC
#define glVertexAttribs2svNVProcPtr PFNGLVERTEXATTRIBS2SVNVPROC
#define glVertexAttribs3dvNVProcPtr PFNGLVERTEXATTRIBS3DVNVPROC
#define glVertexAttribs3fvNVProcPtr PFNGLVERTEXATTRIBS3FVNVPROC
#define glVertexAttribs3svNVProcPtr PFNGLVERTEXATTRIBS3SVNVPROC
#define glVertexAttribs4dvNVProcPtr PFNGLVERTEXATTRIBS4DVNVPROC
#define glVertexAttribs4fvNVProcPtr PFNGLVERTEXATTRIBS4FVNVPROC
#define glVertexAttribs4svNVProcPtr PFNGLVERTEXATTRIBS4SVNVPROC
#define glVertexAttribs4ubvNVProcPtr PFNGLVERTEXATTRIBS4UBVNVPROC
#define glVertexBlendARBProcPtr PFNGLVERTEXBLENDARBPROC
#define glVertexPointSizefAPPLEProcPtr PFNGLVERTEXPOINTSIZEFAPPLEPROC
#define glVertexPointerEXTProcPtr PFNGLVERTEXPOINTEREXTPROC
#define glVertexPointerListIBMProcPtr PFNGLVERTEXPOINTERLISTIBMPROC
#define glVertexPointerProcPtr PFNGLVERTEXPOINTERPROC
#define glVertexPointervINTELProcPtr PFNGLVERTEXPOINTERVINTELPROC
#define glVertexWeightPointerEXTProcPtr PFNGLVERTEXWEIGHTPOINTEREXTPROC
#define glVertexWeightfEXTProcPtr PFNGLVERTEXWEIGHTFEXTPROC
#define glVertexWeightfvEXTProcPtr PFNGLVERTEXWEIGHTFVEXTPROC
#define glViewportProcPtr PFNGLVIEWPORTPROC
#define glWeightPointerARBProcPtr PFNGLWEIGHTPOINTERARBPROC
#define glWeightbvARBProcPtr PFNGLWEIGHTBVARBPROC
#define glWeightdvARBProcPtr PFNGLWEIGHTDVARBPROC
#define glWeightfvARBProcPtr PFNGLWEIGHTFVARBPROC
#define glWeightivARBProcPtr PFNGLWEIGHTIVARBPROC
#define glWeightsvARBProcPtr PFNGLWEIGHTSVARBPROC
#define glWeightubvARBProcPtr PFNGLWEIGHTUBVARBPROC
#define glWeightuivARBProcPtr PFNGLWEIGHTUIVARBPROC
#define glWeightusvARBProcPtr PFNGLWEIGHTUSVARBPROC
#define glWindowPos2dARBProcPtr PFNGLWINDOWPOS2DARBPROC
#define glWindowPos2dProcPtr PFNGLWINDOWPOS2DPROC
#define glWindowPos2dvARBProcPtr PFNGLWINDOWPOS2DVARBPROC
#define glWindowPos2dvProcPtr PFNGLWINDOWPOS2DVPROC
#define glWindowPos2fARBProcPtr PFNGLWINDOWPOS2FARBPROC
#define glWindowPos2fProcPtr PFNGLWINDOWPOS2FPROC
#define glWindowPos2fvARBProcPtr PFNGLWINDOWPOS2FVARBPROC
#define glWindowPos2fvProcPtr PFNGLWINDOWPOS2FVPROC
#define glWindowPos2iARBProcPtr PFNGLWINDOWPOS2IARBPROC
#define glWindowPos2iProcPtr PFNGLWINDOWPOS2IPROC
#define glWindowPos2ivARBProcPtr PFNGLWINDOWPOS2IVARBPROC
#define glWindowPos2ivProcPtr PFNGLWINDOWPOS2IVPROC
#define glWindowPos2sARBProcPtr PFNGLWINDOWPOS2SARBPROC
#define glWindowPos2sProcPtr PFNGLWINDOWPOS2SPROC
#define glWindowPos2svARBProcPtr PFNGLWINDOWPOS2SVARBPROC
#define glWindowPos2svProcPtr PFNGLWINDOWPOS2SVPROC
#define glWindowPos3dARBProcPtr PFNGLWINDOWPOS3DARBPROC
#define glWindowPos3dProcPtr PFNGLWINDOWPOS3DPROC
#define glWindowPos3dvARBProcPtr PFNGLWINDOWPOS3DVARBPROC
#define glWindowPos3dvProcPtr PFNGLWINDOWPOS3DVPROC
#define glWindowPos3fARBProcPtr PFNGLWINDOWPOS3FARBPROC
#define glWindowPos3fProcPtr PFNGLWINDOWPOS3FPROC
#define glWindowPos3fvARBProcPtr PFNGLWINDOWPOS3FVARBPROC
#define glWindowPos3fvProcPtr PFNGLWINDOWPOS3FVPROC
#define glWindowPos3iARBProcPtr PFNGLWINDOWPOS3IARBPROC
#define glWindowPos3iProcPtr PFNGLWINDOWPOS3IPROC
#define glWindowPos3ivARBProcPtr PFNGLWINDOWPOS3IVARBPROC
#define glWindowPos3ivProcPtr PFNGLWINDOWPOS3IVPROC
#define glWindowPos3sARBProcPtr PFNGLWINDOWPOS3SARBPROC
#define glWindowPos3sProcPtr PFNGLWINDOWPOS3SPROC
#define glWindowPos3svARBProcPtr PFNGLWINDOWPOS3SVARBPROC
#define glWindowPos3svProcPtr PFNGLWINDOWPOS3SVPROC
#define glWriteMaskEXTProcPtr PFNGLWRITEMASKEXTPROC
#define glesfATIProcPtr PFNGLESFATIPROC
#define glesfATIXProcPtr PFNGLESFATIXPROC
#define glesiATIProcPtr PFNGLESIATIPROC
#define glesiATIXProcPtr PFNGLESIATIXPROC
#define glooInterfaceSGIXProcPtr PFNGLOOINTERFACESGIXPROC

/* On SL, we want to use OpelGL.framework's headers to get both prototypes and
 * function pointers (like Mesa's API), but on Leo and before, OpenGL.framework
 * can't give us both.
 */

#ifdef GL_GLEXT_FUNCTION_POINTERS
#define _GL_GLEXT_FUNCTION_POINTERS GL_GLEXT_FUNCTION_POINTERS
#undef GL_GLEXT_FUNCTION_POINTERS
#endif

#ifdef GL_GLEXT_PROTOTYPES
#define _GL_GLEXT_PROTOTYPES GL_GLEXT_PROTOTYPES
#else
#define GL_GLEXT_PROTOTYPES 1
#endif

/* Our glext.h is based on a version from the registry that is newer. */
#ifdef GL_GLEXT_LEGACY
#define _GL_GLEXT_LEGACY GL_GLEXT_LEGACY
#else
#define GL_GLEXT_LEGACY 1
#endif

#include "/System/Library/Frameworks/OpenGL.framework/Headers/gl.h"

/* Restore our GLEXT-fu */
#ifdef _GL_GLEXT_FUNCTION_POINTERS
#define GL_GLEXT_FUNCTION_POINTERS _GL_GLEXT_FUNCTION_POINTERS
#undef _GL_GLEXT_FUNCTION_POINTERS
#endif

#ifdef _GL_GLEXT_PROTOTYPES
#undef _GL_GLEXT_PROTOTYPES
#else
#undef GL_GLEXT_PROTOTYPES
#endif

#ifdef _GL_GLEXT_LEGACY
#undef _GL_GLEXT_LEGACY
#else
#undef GL_GLEXT_LEGACY
#endif

typedef void (* PFNGLACCUMPROC) (GLenum op, GLfloat value);
typedef void (* PFNGLALPHAFUNCPROC) (GLenum func, GLclampf ref);
typedef GLboolean (* PFNGLARETEXTURESRESIDENTPROC) (GLsizei n, const GLuint *textures, GLboolean *residences);
typedef void (* PFNGLARRAYELEMENTPROC) (GLint i);
typedef void (* PFNGLBEGINPROC) (GLenum mode);
typedef void (* PFNGLBINDTEXTUREPROC) (GLenum target, GLuint texture);
typedef void (* PFNGLBITMAPPROC) (GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte *bitmap);
typedef void (* PFNGLBLENDCOLORPROC) (GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);
typedef void (* PFNGLBLENDEQUATIONPROC) (GLenum mode);
typedef void (* PFNGLBLENDEQUATIONSEPARATEPROC) (GLenum modeRGB, GLenum modeAlpha);
typedef void (* PFNGLBLENDFUNCPROC) (GLenum sfactor, GLenum dfactor);
typedef void (* PFNGLCALLLISTPROC) (GLuint list);
typedef void (* PFNGLCALLLISTSPROC) (GLsizei n, GLenum type, const GLvoid *lists);
typedef void (* PFNGLCLEARPROC) (GLbitfield mask);
typedef void (* PFNGLCLEARACCUMPROC) (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha);
typedef void (* PFNGLCLEARCOLORPROC) (GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);
typedef void (* PFNGLCLEARDEPTHPROC) (GLclampd depth);
typedef void (* PFNGLCLEARINDEXPROC) (GLfloat c);
typedef void (* PFNGLCLEARSTENCILPROC) (GLint s);
typedef void (* PFNGLCLIPPLANEPROC) (GLenum plane, const GLdouble *equation);
typedef void (* PFNGLCOLOR3BPROC) (GLbyte red, GLbyte green, GLbyte blue);
typedef void (* PFNGLCOLOR3BVPROC) (const GLbyte *v);
typedef void (* PFNGLCOLOR3DPROC) (GLdouble red, GLdouble green, GLdouble blue);
typedef void (* PFNGLCOLOR3DVPROC) (const GLdouble *v);
typedef void (* PFNGLCOLOR3FPROC) (GLfloat red, GLfloat green, GLfloat blue);
typedef void (* PFNGLCOLOR3FVPROC) (const GLfloat *v);
typedef void (* PFNGLCOLOR3IPROC) (GLint red, GLint green, GLint blue);
typedef void (* PFNGLCOLOR3IVPROC) (const GLint *v);
typedef void (* PFNGLCOLOR3SPROC) (GLshort red, GLshort green, GLshort blue);
typedef void (* PFNGLCOLOR3SVPROC) (const GLshort *v);
typedef void (* PFNGLCOLOR3UBPROC) (GLubyte red, GLubyte green, GLubyte blue);
typedef void (* PFNGLCOLOR3UBVPROC) (const GLubyte *v);
typedef void (* PFNGLCOLOR3UIPROC) (GLuint red, GLuint green, GLuint blue);
typedef void (* PFNGLCOLOR3UIVPROC) (const GLuint *v);
typedef void (* PFNGLCOLOR3USPROC) (GLushort red, GLushort green, GLushort blue);
typedef void (* PFNGLCOLOR3USVPROC) (const GLushort *v);
typedef void (* PFNGLCOLOR4BPROC) (GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha);
typedef void (* PFNGLCOLOR4BVPROC) (const GLbyte *v);
typedef void (* PFNGLCOLOR4DPROC) (GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha);
typedef void (* PFNGLCOLOR4DVPROC) (const GLdouble *v);
typedef void (* PFNGLCOLOR4FPROC) (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha);
typedef void (* PFNGLCOLOR4FVPROC) (const GLfloat *v);
typedef void (* PFNGLCOLOR4IPROC) (GLint red, GLint green, GLint blue, GLint alpha);
typedef void (* PFNGLCOLOR4IVPROC) (const GLint *v);
typedef void (* PFNGLCOLOR4SPROC) (GLshort red, GLshort green, GLshort blue, GLshort alpha);
typedef void (* PFNGLCOLOR4SVPROC) (const GLshort *v);
typedef void (* PFNGLCOLOR4UBPROC) (GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha);
typedef void (* PFNGLCOLOR4UBVPROC) (const GLubyte *v);
typedef void (* PFNGLCOLOR4UIPROC) (GLuint red, GLuint green, GLuint blue, GLuint alpha);
typedef void (* PFNGLCOLOR4UIVPROC) (const GLuint *v);
typedef void (* PFNGLCOLOR4USPROC) (GLushort red, GLushort green, GLushort blue, GLushort alpha);
typedef void (* PFNGLCOLOR4USVPROC) (const GLushort *v);
typedef void (* PFNGLCOLORMASKPROC) (GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);
typedef void (* PFNGLCOLORMATERIALPROC) (GLenum face, GLenum mode);
typedef void (* PFNGLCOLORPOINTERPROC) (GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
typedef void (* PFNGLCOLORSUBTABLEPROC) (GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *data);
typedef void (* PFNGLCOLORTABLEPROC) (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table);
typedef void (* PFNGLCOLORTABLEPARAMETERFVPROC) (GLenum target, GLenum pname, const GLfloat *params);
typedef void (* PFNGLCOLORTABLEPARAMETERIVPROC) (GLenum target, GLenum pname, const GLint *params);
typedef void (* PFNGLCONVOLUTIONFILTER1DPROC) (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *image);
typedef void (* PFNGLCONVOLUTIONFILTER2DPROC) (GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *image);
typedef void (* PFNGLCONVOLUTIONPARAMETERFPROC) (GLenum target, GLenum pname, GLfloat params);
typedef void (* PFNGLCONVOLUTIONPARAMETERFVPROC) (GLenum target, GLenum pname, const GLfloat *params);
typedef void (* PFNGLCONVOLUTIONPARAMETERIPROC) (GLenum target, GLenum pname, GLint params);
typedef void (* PFNGLCONVOLUTIONPARAMETERIVPROC) (GLenum target, GLenum pname, const GLint *params);
typedef void (* PFNGLCOPYCOLORSUBTABLEPROC) (GLenum target, GLsizei start, GLint x, GLint y, GLsizei width);
typedef void (* PFNGLCOPYCOLORTABLEPROC) (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
typedef void (* PFNGLCOPYCONVOLUTIONFILTER1DPROC) (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
typedef void (* PFNGLCOPYCONVOLUTIONFILTER2DPROC) (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height);
typedef void (* PFNGLCOPYPIXELSPROC) (GLint x, GLint y, GLsizei width, GLsizei height, GLenum type);
typedef void (* PFNGLCOPYTEXIMAGE1DPROC) (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border);
typedef void (* PFNGLCOPYTEXIMAGE2DPROC) (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);
typedef void (* PFNGLCOPYTEXSUBIMAGE1DPROC) (GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width);
typedef void (* PFNGLCOPYTEXSUBIMAGE2DPROC) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);
typedef void (* PFNGLCOPYTEXSUBIMAGE3DPROC) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);
typedef void (* PFNGLCULLFACEPROC) (GLenum mode);
typedef void (* PFNGLDELETELISTSPROC) (GLuint list, GLsizei range);
typedef void (* PFNGLDELETETEXTURESPROC) (GLsizei n, const GLuint *textures);
typedef void (* PFNGLDEPTHFUNCPROC) (GLenum func);
typedef void (* PFNGLDEPTHMASKPROC) (GLboolean flag);
typedef void (* PFNGLDEPTHRANGEPROC) (GLclampd zNear, GLclampd zFar);
typedef void (* PFNGLDISABLEPROC) (GLenum cap);
typedef void (* PFNGLDISABLECLIENTSTATEPROC) (GLenum array);
typedef void (* PFNGLDRAWARRAYSPROC) (GLenum mode, GLint first, GLsizei count);
typedef void (* PFNGLDRAWBUFFERPROC) (GLenum mode);
typedef void (* PFNGLDRAWELEMENTSPROC) (GLenum mode, GLsizei count, GLenum type, const GLvoid *indices);
typedef void (* PFNGLDRAWPIXELSPROC) (GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels);
typedef void (* PFNGLDRAWRANGEELEMENTSPROC) (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices);
typedef void (* PFNGLEDGEFLAGPROC) (GLboolean flag);
typedef void (* PFNGLEDGEFLAGPOINTERPROC) (GLsizei stride, const GLvoid *pointer);
typedef void (* PFNGLEDGEFLAGVPROC) (const GLboolean *flag);
typedef void (* PFNGLENABLEPROC) (GLenum cap);
typedef void (* PFNGLENABLECLIENTSTATEPROC) (GLenum array);
typedef void (* PFNGLENDPROC) (void);
typedef void (* PFNGLENDLISTPROC) (void);
typedef void (* PFNGLEVALCOORD1DPROC) (GLdouble u);
typedef void (* PFNGLEVALCOORD1DVPROC) (const GLdouble *u);
typedef void (* PFNGLEVALCOORD1FPROC) (GLfloat u);
typedef void (* PFNGLEVALCOORD1FVPROC) (const GLfloat *u);
typedef void (* PFNGLEVALCOORD2DPROC) (GLdouble u, GLdouble v);
typedef void (* PFNGLEVALCOORD2DVPROC) (const GLdouble *u);
typedef void (* PFNGLEVALCOORD2FPROC) (GLfloat u, GLfloat v);
typedef void (* PFNGLEVALCOORD2FVPROC) (const GLfloat *u);
typedef void (* PFNGLEVALMESH1PROC) (GLenum mode, GLint i1, GLint i2);
typedef void (* PFNGLEVALMESH2PROC) (GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2);
typedef void (* PFNGLEVALPOINT1PROC) (GLint i);
typedef void (* PFNGLEVALPOINT2PROC) (GLint i, GLint j);
typedef void (* PFNGLFEEDBACKBUFFERPROC) (GLsizei size, GLenum type, GLfloat *buffer);
typedef void (* PFNGLFINISHPROC) (void);
typedef void (* PFNGLFLUSHPROC) (void);
typedef void (* PFNGLFOGFPROC) (GLenum pname, GLfloat param);
typedef void (* PFNGLFOGFVPROC) (GLenum pname, const GLfloat *params);
typedef void (* PFNGLFOGIPROC) (GLenum pname, GLint param);
typedef void (* PFNGLFOGIVPROC) (GLenum pname, const GLint *params);
typedef void (* PFNGLFRONTFACEPROC) (GLenum mode);
typedef void (* PFNGLFRUSTUMPROC) (GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar);
typedef GLuint (* PFNGLGENLISTSPROC) (GLsizei range);
typedef void (* PFNGLGENTEXTURESPROC) (GLsizei n, GLuint *textures);
typedef void (* PFNGLGETBOOLEANVPROC) (GLenum pname, GLboolean *params);
typedef void (* PFNGLGETCLIPPLANEPROC) (GLenum plane, GLdouble *equation);
typedef void (* PFNGLGETCOLORTABLEPROC) (GLenum target, GLenum format, GLenum type, GLvoid *table);
typedef void (* PFNGLGETCOLORTABLEPARAMETERFVPROC) (GLenum target, GLenum pname, GLfloat *params);
typedef void (* PFNGLGETCOLORTABLEPARAMETERIVPROC) (GLenum target, GLenum pname, GLint *params);
typedef void (* PFNGLGETCONVOLUTIONFILTERPROC) (GLenum target, GLenum format, GLenum type, GLvoid *image);
typedef void (* PFNGLGETCONVOLUTIONPARAMETERFVPROC) (GLenum target, GLenum pname, GLfloat *params);
typedef void (* PFNGLGETCONVOLUTIONPARAMETERIVPROC) (GLenum target, GLenum pname, GLint *params);
typedef void (* PFNGLGETDOUBLEVPROC) (GLenum pname, GLdouble *params);
typedef GLenum (* PFNGLGETERRORPROC) (void);
typedef void (* PFNGLGETFLOATVPROC) (GLenum pname, GLfloat *params);
typedef void (* PFNGLGETHISTOGRAMPROC) (GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values);
typedef void (* PFNGLGETHISTOGRAMPARAMETERFVPROC) (GLenum target, GLenum pname, GLfloat *params);
typedef void (* PFNGLGETHISTOGRAMPARAMETERIVPROC) (GLenum target, GLenum pname, GLint *params);
typedef void (* PFNGLGETINTEGERVPROC) (GLenum pname, GLint *params);
typedef void (* PFNGLGETLIGHTFVPROC) (GLenum light, GLenum pname, GLfloat *params);
typedef void (* PFNGLGETLIGHTIVPROC) (GLenum light, GLenum pname, GLint *params);
typedef void (* PFNGLGETMAPDVPROC) (GLenum target, GLenum query, GLdouble *v);
typedef void (* PFNGLGETMAPFVPROC) (GLenum target, GLenum query, GLfloat *v);
typedef void (* PFNGLGETMAPIVPROC) (GLenum target, GLenum query, GLint *v);
typedef void (* PFNGLGETMATERIALFVPROC) (GLenum face, GLenum pname, GLfloat *params);
typedef void (* PFNGLGETMATERIALIVPROC) (GLenum face, GLenum pname, GLint *params);
typedef void (* PFNGLGETMINMAXPROC) (GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values);
typedef void (* PFNGLGETMINMAXPARAMETERFVPROC) (GLenum target, GLenum pname, GLfloat *params);
typedef void (* PFNGLGETMINMAXPARAMETERIVPROC) (GLenum target, GLenum pname, GLint *params);
typedef void (* PFNGLGETPIXELMAPFVPROC) (GLenum map, GLfloat *values);
typedef void (* PFNGLGETPIXELMAPUIVPROC) (GLenum map, GLuint *values);
typedef void (* PFNGLGETPIXELMAPUSVPROC) (GLenum map, GLushort *values);
typedef void (* PFNGLGETPOINTERVPROC) (GLenum pname, GLvoid* *params);
typedef void (* PFNGLGETPOLYGONSTIPPLEPROC) (GLubyte *mask);
typedef void (* PFNGLGETSEPARABLEFILTERPROC) (GLenum target, GLenum format, GLenum type, GLvoid *row, GLvoid *column, GLvoid *span);
typedef const GLubyte * (* PFNGLGETSTRINGPROC) (GLenum name);
typedef void (* PFNGLGETTEXENVFVPROC) (GLenum target, GLenum pname, GLfloat *params);
typedef void (* PFNGLGETTEXENVIVPROC) (GLenum target, GLenum pname, GLint *params);
typedef void (* PFNGLGETTEXGENDVPROC) (GLenum coord, GLenum pname, GLdouble *params);
typedef void (* PFNGLGETTEXGENFVPROC) (GLenum coord, GLenum pname, GLfloat *params);
typedef void (* PFNGLGETTEXGENIVPROC) (GLenum coord, GLenum pname, GLint *params);
typedef void (* PFNGLGETTEXIMAGEPROC) (GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels);
typedef void (* PFNGLGETTEXLEVELPARAMETERFVPROC) (GLenum target, GLint level, GLenum pname, GLfloat *params);
typedef void (* PFNGLGETTEXLEVELPARAMETERIVPROC) (GLenum target, GLint level, GLenum pname, GLint *params);
typedef void (* PFNGLGETTEXPARAMETERFVPROC) (GLenum target, GLenum pname, GLfloat *params);
typedef void (* PFNGLGETTEXPARAMETERIVPROC) (GLenum target, GLenum pname, GLint *params);
typedef void (* PFNGLHINTPROC) (GLenum target, GLenum mode);
typedef void (* PFNGLHISTOGRAMPROC) (GLenum target, GLsizei width, GLenum internalformat, GLboolean sink);
typedef void (* PFNGLINDEXMASKPROC) (GLuint mask);
typedef void (* PFNGLINDEXPOINTERPROC) (GLenum type, GLsizei stride, const GLvoid *pointer);
typedef void (* PFNGLINDEXDPROC) (GLdouble c);
typedef void (* PFNGLINDEXDVPROC) (const GLdouble *c);
typedef void (* PFNGLINDEXFPROC) (GLfloat c);
typedef void (* PFNGLINDEXFVPROC) (const GLfloat *c);
typedef void (* PFNGLINDEXIPROC) (GLint c);
typedef void (* PFNGLINDEXIVPROC) (const GLint *c);
typedef void (* PFNGLINDEXSPROC) (GLshort c);
typedef void (* PFNGLINDEXSVPROC) (const GLshort *c);
typedef void (* PFNGLINDEXUBPROC) (GLubyte c);
typedef void (* PFNGLINDEXUBVPROC) (const GLubyte *c);
typedef void (* PFNGLINITNAMESPROC) (void);
typedef void (* PFNGLINTERLEAVEDARRAYSPROC) (GLenum format, GLsizei stride, const GLvoid *pointer);
typedef GLboolean (* PFNGLISENABLEDPROC) (GLenum cap);
typedef GLboolean (* PFNGLISLISTPROC) (GLuint list);
typedef GLboolean (* PFNGLISTEXTUREPROC) (GLuint texture);
typedef void (* PFNGLLIGHTMODELFPROC) (GLenum pname, GLfloat param);
typedef void (* PFNGLLIGHTMODELFVPROC) (GLenum pname, const GLfloat *params);
typedef void (* PFNGLLIGHTMODELIPROC) (GLenum pname, GLint param);
typedef void (* PFNGLLIGHTMODELIVPROC) (GLenum pname, const GLint *params);
typedef void (* PFNGLLIGHTFPROC) (GLenum light, GLenum pname, GLfloat param);
typedef void (* PFNGLLIGHTFVPROC) (GLenum light, GLenum pname, const GLfloat *params);
typedef void (* PFNGLLIGHTIPROC) (GLenum light, GLenum pname, GLint param);
typedef void (* PFNGLLIGHTIVPROC) (GLenum light, GLenum pname, const GLint *params);
typedef void (* PFNGLLINESTIPPLEPROC) (GLint factor, GLushort pattern);
typedef void (* PFNGLLINEWIDTHPROC) (GLfloat width);
typedef void (* PFNGLLISTBASEPROC) (GLuint base);
typedef void (* PFNGLLOADIDENTITYPROC) (void);
typedef void (* PFNGLLOADMATRIXDPROC) (const GLdouble *m);
typedef void (* PFNGLLOADMATRIXFPROC) (const GLfloat *m);
typedef void (* PFNGLLOADNAMEPROC) (GLuint name);
typedef void (* PFNGLLOGICOPPROC) (GLenum opcode);
typedef void (* PFNGLMAP1DPROC) (GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble *points);
typedef void (* PFNGLMAP1FPROC) (GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat *points);
typedef void (* PFNGLMAP2DPROC) (GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble *points);
typedef void (* PFNGLMAP2FPROC) (GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat *points);
typedef void (* PFNGLMAPGRID1DPROC) (GLint un, GLdouble u1, GLdouble u2);
typedef void (* PFNGLMAPGRID1FPROC) (GLint un, GLfloat u1, GLfloat u2);
typedef void (* PFNGLMAPGRID2DPROC) (GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2);
typedef void (* PFNGLMAPGRID2FPROC) (GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2);
typedef void (* PFNGLMATERIALFPROC) (GLenum face, GLenum pname, GLfloat param);
typedef void (* PFNGLMATERIALFVPROC) (GLenum face, GLenum pname, const GLfloat *params);
typedef void (* PFNGLMATERIALIPROC) (GLenum face, GLenum pname, GLint param);
typedef void (* PFNGLMATERIALIVPROC) (GLenum face, GLenum pname, const GLint *params);
typedef void (* PFNGLMATRIXMODEPROC) (GLenum mode);
typedef void (* PFNGLMINMAXPROC) (GLenum target, GLenum internalformat, GLboolean sink);
typedef void (* PFNGLMULTMATRIXDPROC) (const GLdouble *m);
typedef void (* PFNGLMULTMATRIXFPROC) (const GLfloat *m);
typedef void (* PFNGLNEWLISTPROC) (GLuint list, GLenum mode);
typedef void (* PFNGLNORMAL3BPROC) (GLbyte nx, GLbyte ny, GLbyte nz);
typedef void (* PFNGLNORMAL3BVPROC) (const GLbyte *v);
typedef void (* PFNGLNORMAL3DPROC) (GLdouble nx, GLdouble ny, GLdouble nz);
typedef void (* PFNGLNORMAL3DVPROC) (const GLdouble *v);
typedef void (* PFNGLNORMAL3FPROC) (GLfloat nx, GLfloat ny, GLfloat nz);
typedef void (* PFNGLNORMAL3FVPROC) (const GLfloat *v);
typedef void (* PFNGLNORMAL3IPROC) (GLint nx, GLint ny, GLint nz);
typedef void (* PFNGLNORMAL3IVPROC) (const GLint *v);
typedef void (* PFNGLNORMAL3SPROC) (GLshort nx, GLshort ny, GLshort nz);
typedef void (* PFNGLNORMAL3SVPROC) (const GLshort *v);
typedef void (* PFNGLNORMALPOINTERPROC) (GLenum type, GLsizei stride, const GLvoid *pointer);
typedef void (* PFNGLORTHOPROC) (GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar);
typedef void (* PFNGLPASSTHROUGHPROC) (GLfloat token);
typedef void (* PFNGLPIXELMAPFVPROC) (GLenum map, GLint mapsize, const GLfloat *values);
typedef void (* PFNGLPIXELMAPUIVPROC) (GLenum map, GLint mapsize, const GLuint *values);
typedef void (* PFNGLPIXELMAPUSVPROC) (GLenum map, GLint mapsize, const GLushort *values);
typedef void (* PFNGLPIXELSTOREFPROC) (GLenum pname, GLfloat param);
typedef void (* PFNGLPIXELSTOREIPROC) (GLenum pname, GLint param);
typedef void (* PFNGLPIXELTRANSFERFPROC) (GLenum pname, GLfloat param);
typedef void (* PFNGLPIXELTRANSFERIPROC) (GLenum pname, GLint param);
typedef void (* PFNGLPIXELZOOMPROC) (GLfloat xfactor, GLfloat yfactor);
typedef void (* PFNGLPOINTSIZEPROC) (GLfloat size);
typedef void (* PFNGLPOLYGONMODEPROC) (GLenum face, GLenum mode);
typedef void (* PFNGLPOLYGONOFFSETPROC) (GLfloat factor, GLfloat units);
typedef void (* PFNGLPOLYGONSTIPPLEPROC) (const GLubyte *mask);
typedef void (* PFNGLPOPATTRIBPROC) (void);
typedef void (* PFNGLPOPCLIENTATTRIBPROC) (void);
typedef void (* PFNGLPOPMATRIXPROC) (void);
typedef void (* PFNGLPOPNAMEPROC) (void);
typedef void (* PFNGLPRIORITIZETEXTURESPROC) (GLsizei n, const GLuint *textures, const GLclampf *priorities);
typedef void (* PFNGLPUSHATTRIBPROC) (GLbitfield mask);
typedef void (* PFNGLPUSHCLIENTATTRIBPROC) (GLbitfield mask);
typedef void (* PFNGLPUSHMATRIXPROC) (void);
typedef void (* PFNGLPUSHNAMEPROC) (GLuint name);
typedef void (* PFNGLRASTERPOS2DPROC) (GLdouble x, GLdouble y);
typedef void (* PFNGLRASTERPOS2DVPROC) (const GLdouble *v);
typedef void (* PFNGLRASTERPOS2FPROC) (GLfloat x, GLfloat y);
typedef void (* PFNGLRASTERPOS2FVPROC) (const GLfloat *v);
typedef void (* PFNGLRASTERPOS2IPROC) (GLint x, GLint y);
typedef void (* PFNGLRASTERPOS2IVPROC) (const GLint *v);
typedef void (* PFNGLRASTERPOS2SPROC) (GLshort x, GLshort y);
typedef void (* PFNGLRASTERPOS2SVPROC) (const GLshort *v);
typedef void (* PFNGLRASTERPOS3DPROC) (GLdouble x, GLdouble y, GLdouble z);
typedef void (* PFNGLRASTERPOS3DVPROC) (const GLdouble *v);
typedef void (* PFNGLRASTERPOS3FPROC) (GLfloat x, GLfloat y, GLfloat z);
typedef void (* PFNGLRASTERPOS3FVPROC) (const GLfloat *v);
typedef void (* PFNGLRASTERPOS3IPROC) (GLint x, GLint y, GLint z);
typedef void (* PFNGLRASTERPOS3IVPROC) (const GLint *v);
typedef void (* PFNGLRASTERPOS3SPROC) (GLshort x, GLshort y, GLshort z);
typedef void (* PFNGLRASTERPOS3SVPROC) (const GLshort *v);
typedef void (* PFNGLRASTERPOS4DPROC) (GLdouble x, GLdouble y, GLdouble z, GLdouble w);
typedef void (* PFNGLRASTERPOS4DVPROC) (const GLdouble *v);
typedef void (* PFNGLRASTERPOS4FPROC) (GLfloat x, GLfloat y, GLfloat z, GLfloat w);
typedef void (* PFNGLRASTERPOS4FVPROC) (const GLfloat *v);
typedef void (* PFNGLRASTERPOS4IPROC) (GLint x, GLint y, GLint z, GLint w);
typedef void (* PFNGLRASTERPOS4IVPROC) (const GLint *v);
typedef void (* PFNGLRASTERPOS4SPROC) (GLshort x, GLshort y, GLshort z, GLshort w);
typedef void (* PFNGLRASTERPOS4SVPROC) (const GLshort *v);
typedef void (* PFNGLREADBUFFERPROC) (GLenum mode);
typedef void (* PFNGLREADPIXELSPROC) (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels);
typedef void (* PFNGLRECTDPROC) (GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2);
typedef void (* PFNGLRECTDVPROC) (const GLdouble *v1, const GLdouble *v2);
typedef void (* PFNGLRECTFPROC) (GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2);
typedef void (* PFNGLRECTFVPROC) (const GLfloat *v1, const GLfloat *v2);
typedef void (* PFNGLRECTIPROC) (GLint x1, GLint y1, GLint x2, GLint y2);
typedef void (* PFNGLRECTIVPROC) (const GLint *v1, const GLint *v2);
typedef void (* PFNGLRECTSPROC) (GLshort x1, GLshort y1, GLshort x2, GLshort y2);
typedef void (* PFNGLRECTSVPROC) (const GLshort *v1, const GLshort *v2);
typedef GLint (* PFNGLRENDERMODEPROC) (GLenum mode);
typedef void (* PFNGLRESETHISTOGRAMPROC) (GLenum target);
typedef void (* PFNGLRESETMINMAXPROC) (GLenum target);
typedef void (* PFNGLROTATEDPROC) (GLdouble angle, GLdouble x, GLdouble y, GLdouble z);
typedef void (* PFNGLROTATEFPROC) (GLfloat angle, GLfloat x, GLfloat y, GLfloat z);
typedef void (* PFNGLSCALEDPROC) (GLdouble x, GLdouble y, GLdouble z);
typedef void (* PFNGLSCALEFPROC) (GLfloat x, GLfloat y, GLfloat z);
typedef void (* PFNGLSCISSORPROC) (GLint x, GLint y, GLsizei width, GLsizei height);
typedef void (* PFNGLSELECTBUFFERPROC) (GLsizei size, GLuint *buffer);
typedef void (* PFNGLSEPARABLEFILTER2DPROC) (GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *row, const GLvoid *column);
typedef void (* PFNGLSHADEMODELPROC) (GLenum mode);
typedef void (* PFNGLSTENCILFUNCPROC) (GLenum func, GLint ref, GLuint mask);
typedef void (* PFNGLSTENCILMASKPROC) (GLuint mask);
typedef void (* PFNGLSTENCILOPPROC) (GLenum fail, GLenum zfail, GLenum zpass);
typedef void (* PFNGLTEXCOORD1DPROC) (GLdouble s);
typedef void (* PFNGLTEXCOORD1DVPROC) (const GLdouble *v);
typedef void (* PFNGLTEXCOORD1FPROC) (GLfloat s);
typedef void (* PFNGLTEXCOORD1FVPROC) (const GLfloat *v);
typedef void (* PFNGLTEXCOORD1IPROC) (GLint s);
typedef void (* PFNGLTEXCOORD1IVPROC) (const GLint *v);
typedef void (* PFNGLTEXCOORD1SPROC) (GLshort s);
typedef void (* PFNGLTEXCOORD1SVPROC) (const GLshort *v);
typedef void (* PFNGLTEXCOORD2DPROC) (GLdouble s, GLdouble t);
typedef void (* PFNGLTEXCOORD2DVPROC) (const GLdouble *v);
typedef void (* PFNGLTEXCOORD2FPROC) (GLfloat s, GLfloat t);
typedef void (* PFNGLTEXCOORD2FVPROC) (const GLfloat *v);
typedef void (* PFNGLTEXCOORD2IPROC) (GLint s, GLint t);
typedef void (* PFNGLTEXCOORD2IVPROC) (const GLint *v);
typedef void (* PFNGLTEXCOORD2SPROC) (GLshort s, GLshort t);
typedef void (* PFNGLTEXCOORD2SVPROC) (const GLshort *v);
typedef void (* PFNGLTEXCOORD3DPROC) (GLdouble s, GLdouble t, GLdouble r);
typedef void (* PFNGLTEXCOORD3DVPROC) (const GLdouble *v);
typedef void (* PFNGLTEXCOORD3FPROC) (GLfloat s, GLfloat t, GLfloat r);
typedef void (* PFNGLTEXCOORD3FVPROC) (const GLfloat *v);
typedef void (* PFNGLTEXCOORD3IPROC) (GLint s, GLint t, GLint r);
typedef void (* PFNGLTEXCOORD3IVPROC) (const GLint *v);
typedef void (* PFNGLTEXCOORD3SPROC) (GLshort s, GLshort t, GLshort r);
typedef void (* PFNGLTEXCOORD3SVPROC) (const GLshort *v);
typedef void (* PFNGLTEXCOORD4DPROC) (GLdouble s, GLdouble t, GLdouble r, GLdouble q);
typedef void (* PFNGLTEXCOORD4DVPROC) (const GLdouble *v);
typedef void (* PFNGLTEXCOORD4FPROC) (GLfloat s, GLfloat t, GLfloat r, GLfloat q);
typedef void (* PFNGLTEXCOORD4FVPROC) (const GLfloat *v);
typedef void (* PFNGLTEXCOORD4IPROC) (GLint s, GLint t, GLint r, GLint q);
typedef void (* PFNGLTEXCOORD4IVPROC) (const GLint *v);
typedef void (* PFNGLTEXCOORD4SPROC) (GLshort s, GLshort t, GLshort r, GLshort q);
typedef void (* PFNGLTEXCOORD4SVPROC) (const GLshort *v);
typedef void (* PFNGLTEXCOORDPOINTERPROC) (GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
typedef void (* PFNGLTEXENVFPROC) (GLenum target, GLenum pname, GLfloat param);
typedef void (* PFNGLTEXENVFVPROC) (GLenum target, GLenum pname, const GLfloat *params);
typedef void (* PFNGLTEXENVIPROC) (GLenum target, GLenum pname, GLint param);
typedef void (* PFNGLTEXENVIVPROC) (GLenum target, GLenum pname, const GLint *params);
typedef void (* PFNGLTEXGENDPROC) (GLenum coord, GLenum pname, GLdouble param);
typedef void (* PFNGLTEXGENDVPROC) (GLenum coord, GLenum pname, const GLdouble *params);
typedef void (* PFNGLTEXGENFPROC) (GLenum coord, GLenum pname, GLfloat param);
typedef void (* PFNGLTEXGENFVPROC) (GLenum coord, GLenum pname, const GLfloat *params);
typedef void (* PFNGLTEXGENIPROC) (GLenum coord, GLenum pname, GLint param);
typedef void (* PFNGLTEXGENIVPROC) (GLenum coord, GLenum pname, const GLint *params);
typedef void (* PFNGLTEXIMAGE1DPROC) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels);
typedef void (* PFNGLTEXIMAGE2DPROC) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels);
typedef void (* PFNGLTEXIMAGE3DPROC) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels);
typedef void (* PFNGLTEXPARAMETERFPROC) (GLenum target, GLenum pname, GLfloat param);
typedef void (* PFNGLTEXPARAMETERFVPROC) (GLenum target, GLenum pname, const GLfloat *params);
typedef void (* PFNGLTEXPARAMETERIPROC) (GLenum target, GLenum pname, GLint param);
typedef void (* PFNGLTEXPARAMETERIVPROC) (GLenum target, GLenum pname, const GLint *params);
typedef void (* PFNGLTEXSUBIMAGE1DPROC) (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels);
typedef void (* PFNGLTEXSUBIMAGE2DPROC) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels);
typedef void (* PFNGLTEXSUBIMAGE3DPROC) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels);
typedef void (* PFNGLTRANSLATEDPROC) (GLdouble x, GLdouble y, GLdouble z);
typedef void (* PFNGLTRANSLATEFPROC) (GLfloat x, GLfloat y, GLfloat z);
typedef void (* PFNGLVERTEX2DPROC) (GLdouble x, GLdouble y);
typedef void (* PFNGLVERTEX2DVPROC) (const GLdouble *v);
typedef void (* PFNGLVERTEX2FPROC) (GLfloat x, GLfloat y);
typedef void (* PFNGLVERTEX2FVPROC) (const GLfloat *v);
typedef void (* PFNGLVERTEX2IPROC) (GLint x, GLint y);
typedef void (* PFNGLVERTEX2IVPROC) (const GLint *v);
typedef void (* PFNGLVERTEX2SPROC) (GLshort x, GLshort y);
typedef void (* PFNGLVERTEX2SVPROC) (const GLshort *v);
typedef void (* PFNGLVERTEX3DPROC) (GLdouble x, GLdouble y, GLdouble z);
typedef void (* PFNGLVERTEX3DVPROC) (const GLdouble *v);
typedef void (* PFNGLVERTEX3FPROC) (GLfloat x, GLfloat y, GLfloat z);
typedef void (* PFNGLVERTEX3FVPROC) (const GLfloat *v);
typedef void (* PFNGLVERTEX3IPROC) (GLint x, GLint y, GLint z);
typedef void (* PFNGLVERTEX3IVPROC) (const GLint *v);
typedef void (* PFNGLVERTEX3SPROC) (GLshort x, GLshort y, GLshort z);
typedef void (* PFNGLVERTEX3SVPROC) (const GLshort *v);
typedef void (* PFNGLVERTEX4DPROC) (GLdouble x, GLdouble y, GLdouble z, GLdouble w);
typedef void (* PFNGLVERTEX4DVPROC) (const GLdouble *v);
typedef void (* PFNGLVERTEX4FPROC) (GLfloat x, GLfloat y, GLfloat z, GLfloat w);
typedef void (* PFNGLVERTEX4FVPROC) (const GLfloat *v);
typedef void (* PFNGLVERTEX4IPROC) (GLint x, GLint y, GLint z, GLint w);
typedef void (* PFNGLVERTEX4IVPROC) (const GLint *v);
typedef void (* PFNGLVERTEX4SPROC) (GLshort x, GLshort y, GLshort z, GLshort w);
typedef void (* PFNGLVERTEX4SVPROC) (const GLshort *v);
typedef void (* PFNGLVERTEXPOINTERPROC) (GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
typedef void (* PFNGLVIEWPORTPROC) (GLint x, GLint y, GLsizei width, GLsizei height);
typedef void (* PFNGLSAMPLECOVERAGEPROC) (GLclampf value, GLboolean invert);
typedef void (* PFNGLSAMPLEPASSPROC) (GLenum pass);
typedef void (* PFNGLLOADTRANSPOSEMATRIXFPROC) (const GLfloat *m);
typedef void (* PFNGLLOADTRANSPOSEMATRIXDPROC) (const GLdouble *m);
typedef void (* PFNGLMULTTRANSPOSEMATRIXFPROC) (const GLfloat *m);
typedef void (* PFNGLMULTTRANSPOSEMATRIXDPROC) (const GLdouble *m);
typedef void (* PFNGLCOMPRESSEDTEXIMAGE3DPROC) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data);
typedef void (* PFNGLCOMPRESSEDTEXIMAGE2DPROC) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data);
typedef void (* PFNGLCOMPRESSEDTEXIMAGE1DPROC) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data);
typedef void (* PFNGLCOMPRESSEDTEXSUBIMAGE3DPROC) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data);
typedef void (* PFNGLCOMPRESSEDTEXSUBIMAGE2DPROC) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data);
typedef void (* PFNGLCOMPRESSEDTEXSUBIMAGE1DPROC) (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data);
typedef void (* PFNGLGETCOMPRESSEDTEXIMAGEPROC) (GLenum target, GLint lod, GLvoid *img);
typedef void (* PFNGLACTIVETEXTUREPROC) (GLenum texture);
typedef void (* PFNGLCLIENTACTIVETEXTUREPROC) (GLenum texture);
typedef void (* PFNGLMULTITEXCOORD1DPROC) (GLenum target, GLdouble s);
typedef void (* PFNGLMULTITEXCOORD1DVPROC) (GLenum target, const GLdouble *v);
typedef void (* PFNGLMULTITEXCOORD1FPROC) (GLenum target, GLfloat s);
typedef void (* PFNGLMULTITEXCOORD1FVPROC) (GLenum target, const GLfloat *v);
typedef void (* PFNGLMULTITEXCOORD1IPROC) (GLenum target, GLint s);
typedef void (* PFNGLMULTITEXCOORD1IVPROC) (GLenum target, const GLint *v);
typedef void (* PFNGLMULTITEXCOORD1SPROC) (GLenum target, GLshort s);
typedef void (* PFNGLMULTITEXCOORD1SVPROC) (GLenum target, const GLshort *v);
typedef void (* PFNGLMULTITEXCOORD2DPROC) (GLenum target, GLdouble s, GLdouble t);
typedef void (* PFNGLMULTITEXCOORD2DVPROC) (GLenum target, const GLdouble *v);
typedef void (* PFNGLMULTITEXCOORD2FPROC) (GLenum target, GLfloat s, GLfloat t);
typedef void (* PFNGLMULTITEXCOORD2FVPROC) (GLenum target, const GLfloat *v);
typedef void (* PFNGLMULTITEXCOORD2IPROC) (GLenum target, GLint s, GLint t);
typedef void (* PFNGLMULTITEXCOORD2IVPROC) (GLenum target, const GLint *v);
typedef void (* PFNGLMULTITEXCOORD2SPROC) (GLenum target, GLshort s, GLshort t);
typedef void (* PFNGLMULTITEXCOORD2SVPROC) (GLenum target, const GLshort *v);
typedef void (* PFNGLMULTITEXCOORD3DPROC) (GLenum target, GLdouble s, GLdouble t, GLdouble r);
typedef void (* PFNGLMULTITEXCOORD3DVPROC) (GLenum target, const GLdouble *v);
typedef void (* PFNGLMULTITEXCOORD3FPROC) (GLenum target, GLfloat s, GLfloat t, GLfloat r);
typedef void (* PFNGLMULTITEXCOORD3FVPROC) (GLenum target, const GLfloat *v);
typedef void (* PFNGLMULTITEXCOORD3IPROC) (GLenum target, GLint s, GLint t, GLint r);
typedef void (* PFNGLMULTITEXCOORD3IVPROC) (GLenum target, const GLint *v);
typedef void (* PFNGLMULTITEXCOORD3SPROC) (GLenum target, GLshort s, GLshort t, GLshort r);
typedef void (* PFNGLMULTITEXCOORD3SVPROC) (GLenum target, const GLshort *v);
typedef void (* PFNGLMULTITEXCOORD4DPROC) (GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);
typedef void (* PFNGLMULTITEXCOORD4DVPROC) (GLenum target, const GLdouble *v);
typedef void (* PFNGLMULTITEXCOORD4FPROC) (GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);
typedef void (* PFNGLMULTITEXCOORD4FVPROC) (GLenum target, const GLfloat *v);
typedef void (* PFNGLMULTITEXCOORD4IPROC) (GLenum target, GLint, GLint s, GLint t, GLint r);
typedef void (* PFNGLMULTITEXCOORD4IVPROC) (GLenum target, const GLint *v);
typedef void (* PFNGLMULTITEXCOORD4SPROC) (GLenum target, GLshort s, GLshort t, GLshort r, GLshort q);
typedef void (* PFNGLMULTITEXCOORD4SVPROC) (GLenum target, const GLshort *v);
typedef void (* PFNGLFOGCOORDFPROC) (GLfloat coord);
typedef void (* PFNGLFOGCOORDFVPROC) (const GLfloat *coord);
typedef void (* PFNGLFOGCOORDDPROC) (GLdouble coord);
typedef void (* PFNGLFOGCOORDDVPROC) (const GLdouble *coord);
typedef void (* PFNGLFOGCOORDPOINTERPROC) (GLenum type, GLsizei stride, const GLvoid *pointer);
typedef void (* PFNGLSECONDARYCOLOR3BPROC) (GLbyte red, GLbyte green, GLbyte blue);
typedef void (* PFNGLSECONDARYCOLOR3BVPROC) (const GLbyte *v);
typedef void (* PFNGLSECONDARYCOLOR3DPROC) (GLdouble red, GLdouble green, GLdouble blue);
typedef void (* PFNGLSECONDARYCOLOR3DVPROC) (const GLdouble *v);
typedef void (* PFNGLSECONDARYCOLOR3FPROC) (GLfloat red, GLfloat green, GLfloat blue);
typedef void (* PFNGLSECONDARYCOLOR3FVPROC) (const GLfloat *v);
typedef void (* PFNGLSECONDARYCOLOR3IPROC) (GLint red, GLint green, GLint blue);
typedef void (* PFNGLSECONDARYCOLOR3IVPROC) (const GLint *v);
typedef void (* PFNGLSECONDARYCOLOR3SPROC) (GLshort red, GLshort green, GLshort blue);
typedef void (* PFNGLSECONDARYCOLOR3SVPROC) (const GLshort *v);
typedef void (* PFNGLSECONDARYCOLOR3UBPROC) (GLubyte red, GLubyte green, GLubyte blue);
typedef void (* PFNGLSECONDARYCOLOR3UBVPROC) (const GLubyte *v);
typedef void (* PFNGLSECONDARYCOLOR3UIPROC) (GLuint red, GLuint green, GLuint blue);
typedef void (* PFNGLSECONDARYCOLOR3UIVPROC) (const GLuint *v);
typedef void (* PFNGLSECONDARYCOLOR3USPROC) (GLushort red, GLushort green, GLushort blue);
typedef void (* PFNGLSECONDARYCOLOR3USVPROC) (const GLushort *v);
typedef void (* PFNGLSECONDARYCOLORPOINTERPROC) (GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
typedef void (* PFNGLPOINTPARAMETERFPROC) (GLenum pname, GLfloat param);
typedef void (* PFNGLPOINTPARAMETERFVPROC) (GLenum pname, const GLfloat *params);
typedef void (* PFNGLPOINTPARAMETERIPROC) (GLenum pname, GLint param);
typedef void (* PFNGLPOINTPARAMETERIVPROC) (GLenum pname, const GLint *params);
typedef void (* PFNGLBLENDFUNCSEPARATEPROC) (GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha);
typedef void (* PFNGLMULTIDRAWARRAYSPROC) (GLenum mode, const GLint *first, const GLsizei *count, GLsizei primcount);
typedef void (* PFNGLMULTIDRAWELEMENTSPROC) (GLenum mode, const GLsizei *count, GLenum type, const GLvoid* *indices, GLsizei primcount);
typedef void (* PFNGLWINDOWPOS2DPROC) (GLdouble x, GLdouble y);
typedef void (* PFNGLWINDOWPOS2DVPROC) (const GLdouble *v);
typedef void (* PFNGLWINDOWPOS2FPROC) (GLfloat x, GLfloat y);
typedef void (* PFNGLWINDOWPOS2FVPROC) (const GLfloat *v);
typedef void (* PFNGLWINDOWPOS2IPROC) (GLint x, GLint y);
typedef void (* PFNGLWINDOWPOS2IVPROC) (const GLint *v);
typedef void (* PFNGLWINDOWPOS2SPROC) (GLshort x, GLshort y);
typedef void (* PFNGLWINDOWPOS2SVPROC) (const GLshort *v);
typedef void (* PFNGLWINDOWPOS3DPROC) (GLdouble x, GLdouble y, GLdouble z);
typedef void (* PFNGLWINDOWPOS3DVPROC) (const GLdouble *v);
typedef void (* PFNGLWINDOWPOS3FPROC) (GLfloat x, GLfloat y, GLfloat z);
typedef void (* PFNGLWINDOWPOS3FVPROC) (const GLfloat *v);
typedef void (* PFNGLWINDOWPOS3IPROC) (GLint x, GLint y, GLint z);
typedef void (* PFNGLWINDOWPOS3IVPROC) (const GLint *v);
typedef void (* PFNGLWINDOWPOS3SPROC) (GLshort x, GLshort y, GLshort z);
typedef void (* PFNGLWINDOWPOS3SVPROC) (const GLshort *v);
typedef void (* PFNGLGENQUERIESPROC) (GLsizei n, GLuint *ids);
typedef void (* PFNGLDELETEQUERIESPROC) (GLsizei n, const GLuint *ids);
typedef GLboolean (* PFNGLISQUERYPROC) (GLuint id);
typedef void (* PFNGLBEGINQUERYPROC) (GLenum target, GLuint id);
typedef void (* PFNGLENDQUERYPROC) (GLenum target);
typedef void (* PFNGLGETQUERYIVPROC) (GLenum target, GLenum pname, GLint *params);
typedef void (* PFNGLGETQUERYOBJECTIVPROC) (GLuint id, GLenum pname, GLint *params);
typedef void (* PFNGLGETQUERYOBJECTUIVPROC) (GLuint id, GLenum pname, GLuint *params);
typedef void (* PFNGLBINDBUFFERPROC) (GLenum target, GLuint buffer);
typedef void (* PFNGLDELETEBUFFERSPROC) (GLsizei n, const GLuint *buffers);
typedef void (* PFNGLGENBUFFERSPROC) (GLsizei n, GLuint *buffers);
typedef GLboolean (* PFNGLISBUFFERPROC) (GLuint buffer);
typedef void (* PFNGLBUFFERDATAPROC) (GLenum target, GLsizeiptr size, const GLvoid *data, GLenum usage);
typedef void (* PFNGLBUFFERSUBDATAPROC) (GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid *data);
typedef void (* PFNGLGETBUFFERSUBDATAPROC) (GLenum target, GLintptr offset, GLsizeiptr size, GLvoid *data);
typedef GLvoid *(* PFNGLMAPBUFFERPROC) (GLenum target, GLenum access);
typedef GLboolean (* PFNGLUNMAPBUFFERPROC) (GLenum target);
typedef void (* PFNGLGETBUFFERPARAMETERIVPROC) (GLenum target, GLenum pname, GLint *params);
typedef void (* PFNGLGETBUFFERPOINTERVPROC) (GLenum target, GLenum pname, GLvoid **params);
typedef void (* PFNGLDRAWBUFFERSPROC) (GLsizei n, const GLenum *bufs);
typedef void (* PFNGLVERTEXATTRIB1DPROC) (GLuint index, GLdouble x);
typedef void (* PFNGLVERTEXATTRIB1DVPROC) (GLuint index, const GLdouble *v);
typedef void (* PFNGLVERTEXATTRIB1FPROC) (GLuint index, GLfloat x);
typedef void (* PFNGLVERTEXATTRIB1FVPROC) (GLuint index, const GLfloat *v);
typedef void (* PFNGLVERTEXATTRIB1SPROC) (GLuint index, GLshort x);
typedef void (* PFNGLVERTEXATTRIB1SVPROC) (GLuint index, const GLshort *v);
typedef void (* PFNGLVERTEXATTRIB2DPROC) (GLuint index, GLdouble x, GLdouble y);
typedef void (* PFNGLVERTEXATTRIB2DVPROC) (GLuint index, const GLdouble *v);
typedef void (* PFNGLVERTEXATTRIB2FPROC) (GLuint index, GLfloat x, GLfloat y);
typedef void (* PFNGLVERTEXATTRIB2FVPROC) (GLuint index, const GLfloat *v);
typedef void (* PFNGLVERTEXATTRIB2SPROC) (GLuint index, GLshort x, GLshort y);
typedef void (* PFNGLVERTEXATTRIB2SVPROC) (GLuint index, const GLshort *v);
typedef void (* PFNGLVERTEXATTRIB3DPROC) (GLuint index, GLdouble x, GLdouble y, GLdouble z);
typedef void (* PFNGLVERTEXATTRIB3DVPROC) (GLuint index, const GLdouble *v);
typedef void (* PFNGLVERTEXATTRIB3FPROC) (GLuint index, GLfloat x, GLfloat y, GLfloat z);
typedef void (* PFNGLVERTEXATTRIB3FVPROC) (GLuint index, const GLfloat *v);
typedef void (* PFNGLVERTEXATTRIB3SPROC) (GLuint index, GLshort x, GLshort y, GLshort z);
typedef void (* PFNGLVERTEXATTRIB3SVPROC) (GLuint index, const GLshort *v);
typedef void (* PFNGLVERTEXATTRIB4NBVPROC) (GLuint index, const GLbyte *v);
typedef void (* PFNGLVERTEXATTRIB4NIVPROC) (GLuint index, const GLint *v);
typedef void (* PFNGLVERTEXATTRIB4NSVPROC) (GLuint index, const GLshort *v);
typedef void (* PFNGLVERTEXATTRIB4NUBPROC) (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);
typedef void (* PFNGLVERTEXATTRIB4NUBVPROC) (GLuint index, const GLubyte *v);
typedef void (* PFNGLVERTEXATTRIB4NUIVPROC) (GLuint index, const GLuint *v);
typedef void (* PFNGLVERTEXATTRIB4NUSVPROC) (GLuint index, const GLushort *v);
typedef void (* PFNGLVERTEXATTRIB4BVPROC) (GLuint index, const GLbyte *v);
typedef void (* PFNGLVERTEXATTRIB4DPROC) (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
typedef void (* PFNGLVERTEXATTRIB4DVPROC) (GLuint index, const GLdouble *v);
typedef void (* PFNGLVERTEXATTRIB4FPROC) (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
typedef void (* PFNGLVERTEXATTRIB4FVPROC) (GLuint index, const GLfloat *v);
typedef void (* PFNGLVERTEXATTRIB4IVPROC) (GLuint index, const GLint *v);
typedef void (* PFNGLVERTEXATTRIB4SPROC) (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w);
typedef void (* PFNGLVERTEXATTRIB4SVPROC) (GLuint index, const GLshort *v);
typedef void (* PFNGLVERTEXATTRIB4UBVPROC) (GLuint index, const GLubyte *v);
typedef void (* PFNGLVERTEXATTRIB4UIVPROC) (GLuint index, const GLuint *v);
typedef void (* PFNGLVERTEXATTRIB4USVPROC) (GLuint index, const GLushort *v);
typedef void (* PFNGLVERTEXATTRIBPOINTERPROC) (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid *pointer);
typedef void (* PFNGLENABLEVERTEXATTRIBARRAYPROC) (GLuint index);
typedef void (* PFNGLDISABLEVERTEXATTRIBARRAYPROC) (GLuint index);
typedef void (* PFNGLGETVERTEXATTRIBDVPROC) (GLuint index, GLenum pname, GLdouble *params);
typedef void (* PFNGLGETVERTEXATTRIBFVPROC) (GLuint index, GLenum pname, GLfloat *params);
typedef void (* PFNGLGETVERTEXATTRIBIVPROC) (GLuint index, GLenum pname, GLint *params);
typedef void (* PFNGLGETVERTEXATTRIBPOINTERVPROC) (GLuint index, GLenum pname, GLvoid* *pointer);
typedef void (* PFNGLDELETESHADERPROC) (GLuint shader);
typedef void (* PFNGLDETACHSHADERPROC) (GLuint program, GLuint shader);
typedef GLuint (* PFNGLCREATESHADERPROC) (GLenum type);
typedef void (* PFNGLSHADERSOURCEPROC) (GLuint shader, GLsizei count, const GLchar* *string, const GLint *length);
typedef void (* PFNGLCOMPILESHADERPROC) (GLuint shader);
typedef GLuint (* PFNGLCREATEPROGRAMPROC) (void);
typedef void (* PFNGLATTACHSHADERPROC) (GLuint program, GLuint shader);
typedef void (* PFNGLLINKPROGRAMPROC) (GLuint program);
typedef void (* PFNGLUSEPROGRAMPROC) (GLuint program);
typedef void (* PFNGLDELETEPROGRAMPROC) (GLuint program);
typedef void (* PFNGLVALIDATEPROGRAMPROC) (GLuint program);
typedef void (* PFNGLUNIFORM1FPROC) (GLint location, GLfloat v0);
typedef void (* PFNGLUNIFORM2FPROC) (GLint location, GLfloat v0, GLfloat v1);
typedef void (* PFNGLUNIFORM3FPROC) (GLint location, GLfloat v0, GLfloat v1, GLfloat v2);
typedef void (* PFNGLUNIFORM4FPROC) (GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3);
typedef void (* PFNGLUNIFORM1IPROC) (GLint location, GLint v0);
typedef void (* PFNGLUNIFORM2IPROC) (GLint location, GLint v0, GLint v1);
typedef void (* PFNGLUNIFORM3IPROC) (GLint location, GLint v0, GLint v1, GLint v2);
typedef void (* PFNGLUNIFORM4IPROC) (GLint location, GLint v0, GLint v1, GLint v2, GLint v3);
typedef void (* PFNGLUNIFORM1FVPROC) (GLint location, GLsizei count, const GLfloat *value);
typedef void (* PFNGLUNIFORM2FVPROC) (GLint location, GLsizei count, const GLfloat *value);
typedef void (* PFNGLUNIFORM3FVPROC) (GLint location, GLsizei count, const GLfloat *value);
typedef void (* PFNGLUNIFORM4FVPROC) (GLint location, GLsizei count, const GLfloat *value);
typedef void (* PFNGLUNIFORM1IVPROC) (GLint location, GLsizei count, const GLint *value);
typedef void (* PFNGLUNIFORM2IVPROC) (GLint location, GLsizei count, const GLint *value);
typedef void (* PFNGLUNIFORM3IVPROC) (GLint location, GLsizei count, const GLint *value);
typedef void (* PFNGLUNIFORM4IVPROC) (GLint location, GLsizei count, const GLint *value);
typedef void (* PFNGLUNIFORMMATRIX2FVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
typedef void (* PFNGLUNIFORMMATRIX3FVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
typedef void (* PFNGLUNIFORMMATRIX4FVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
typedef GLboolean (* PFNGLISSHADERPROC) (GLuint shader);
typedef GLboolean (* PFNGLISPROGRAMPROC) (GLuint program);
typedef void (* PFNGLGETSHADERIVPROC) (GLuint shader, GLenum pname, GLint *params);
typedef void (* PFNGLGETPROGRAMIVPROC) (GLuint program, GLenum pname, GLint *params);
typedef void (* PFNGLGETATTACHEDSHADERSPROC) (GLuint program, GLsizei maxCount, GLsizei *count, GLuint *shaders);
typedef void (* PFNGLGETSHADERINFOLOGPROC) (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *infoLog);
typedef void (* PFNGLGETPROGRAMINFOLOGPROC) (GLuint program, GLsizei bufSize, GLsizei *length, GLchar *infoLog);
typedef GLint (* PFNGLGETUNIFORMLOCATIONPROC) (GLuint program, const GLchar *name);
typedef void (* PFNGLGETACTIVEUNIFORMPROC) (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name);
typedef void (* PFNGLGETUNIFORMFVPROC) (GLuint program, GLint location, GLfloat *params);
typedef void (* PFNGLGETUNIFORMIVPROC) (GLuint program, GLint location, GLint *params);
typedef void (* PFNGLGETSHADERSOURCEPROC) (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *source);
typedef void (* PFNGLBINDATTRIBLOCATIONPROC) (GLuint program, GLuint index, const GLchar *name);
typedef void (* PFNGLGETACTIVEATTRIBPROC) (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name);
typedef GLint (* PFNGLGETATTRIBLOCATIONPROC) (GLuint program, const GLchar *name);
typedef void (* PFNGLSTENCILFUNCSEPARATEPROC) (GLenum face, GLenum func, GLint ref, GLuint mask);
typedef void (* PFNGLSTENCILOPSEPARATEPROC) (GLenum face, GLenum fail, GLenum zfail, GLenum zpass);
typedef void (* PFNGLSTENCILMASKSEPARATEPROC) (GLenum face, GLuint mask);
typedef void (* PFNGLUNIFORMMATRIX2X3FVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
typedef void (* PFNGLUNIFORMMATRIX3X2FVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
typedef void (* PFNGLUNIFORMMATRIX2X4FVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
typedef void (* PFNGLUNIFORMMATRIX4X2FVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
typedef void (* PFNGLUNIFORMMATRIX3X4FVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
typedef void (* PFNGLUNIFORMMATRIX4X3FVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);

#ifndef GL_GLEXT_LEGACY
#include <GL/glext.h>
#endif

/* 
 * This is needed for building apple_glx_pbuffer.c, the latest
 * glext.h from the registry lacks it, so it's from the Leopard glext.h: 
 */
#ifndef GL_TEXTURE_RECTANGLE_EXT
#define GL_TEXTURE_RECTANGLE_EXT          0x84F5
#endif

/* This is needed for building the X server: */
/*
 * GL_MESA_packed_depth_stencil
 */
#ifndef GL_MESA_packed_depth_stencil
#define GL_MESA_packed_depth_stencil 1

#define GL_DEPTH_STENCIL_MESA                   0x8750
#define GL_UNSIGNED_INT_24_8_MESA               0x8751
#define GL_UNSIGNED_INT_8_24_REV_MESA           0x8752
#define GL_UNSIGNED_SHORT_15_1_MESA             0x8753
#define GL_UNSIGNED_SHORT_1_15_REV_MESA         0x8754

#endif /* GL_MESA_packed_depth_stencil */

/* Various other OS projects expect to get these macros from Mesa's gl.h */
#ifndef GLAPI
#define GLAPI extern
#endif

#ifndef GLAPIENTRY
#define GLAPIENTRY
#endif

#ifndef APIENTRY
#define APIENTRY GLAPIENTRY
#endif

/* "P" suffix to be used for a pointer to a function */
#ifndef APIENTRYP
#define APIENTRYP APIENTRY *
#endif

#ifndef GLAPIENTRYP
#define GLAPIENTRYP GLAPIENTRY *
#endif

#endif /*__X_GL_H*/
